/* Generated by re2c 2.0.3 */
#line 1 "Zend/zend_language_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) Zend Technologies Ltd. (http://www.zend.com)           |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   | Flex version authors:                                                |
   |          Andi Gutmans <andi@php.net>                                 |
   |          Zeev Suraski <zeev@php.net>                                 |
   +----------------------------------------------------------------------+
*/

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_language_scanner_defs.h"

#include <errno.h>
#include "zend.h"
#ifdef ZEND_WIN32
# include <Winuser.h>
#endif
#include "zend_alloc.h"
#include <zend_language_parser.h>
#include "zend_compile.h"
#include "zend_language_scanner.h"
#include "zend_highlight.h"
#include "zend_constants.h"
#include "zend_variables.h"
#include "zend_operators.h"
#include "zend_API.h"
#include "zend_strtod.h"
#include "zend_exceptions.h"
#include "zend_virtual_cwd.h"

#define YYCTYPE   unsigned char
#define YYFILL(n) { if ((YYCURSOR + n) >= (YYLIMIT + ZEND_MMAP_AHEAD)) { return 0; } }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    do { YYCURSOR = (unsigned char*)yytext + x; \
                          yyleng   = (unsigned int)x; } while(0)
#define yymore()     goto yymore_restart

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 16

#if ZEND_MMAP_AHEAD < YYMAXFILL
# error ZEND_MMAP_AHEAD should be greater than or equal to YYMAXFILL
#endif

#include <stdarg.h>

#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif

/* Globals Macros */
#define SCNG	LANG_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id language_scanner_globals_id;
ZEND_API size_t language_scanner_globals_offset;
#else
ZEND_API zend_php_scanner_globals language_scanner_globals;
#endif

#define HANDLE_NEWLINES(s, l)													\
do {																			\
	char *p = (s), *boundary = p+(l);											\
																				\
	while (p<boundary) {														\
		if (*p == '\n' || (*p == '\r' && (*(p+1) != '\n'))) {					\
			CG(zend_lineno)++;													\
		}																		\
		p++;																	\
	}																			\
} while (0)

#define HANDLE_NEWLINE(c) \
{ \
	if (c == '\n' || c == '\r') { \
		CG(zend_lineno)++; \
	} \
}

/* To save initial string length after scanning to first variable */
#define SET_DOUBLE_QUOTES_SCANNED_LENGTH(len) SCNG(scanned_string_len) = (len)
#define GET_DOUBLE_QUOTES_SCANNED_LENGTH()    SCNG(scanned_string_len)

#define IS_LABEL_START(c) (((c) >= 'a' && (c) <= 'z') || ((c) >= 'A' && (c) <= 'Z') || (c) == '_' || (c) >= 0x80)
#define IS_LABEL_SUCCESSOR(c) (((c) >= 'a' && (c) <= 'z') || ((c) >= 'A' && (c) <= 'Z') || ((c) >= '0' && (c) <= '9') || (c) == '_' || (c) >= 0x80)

#define ZEND_IS_OCT(c)  ((c)>='0' && (c)<='7')
#define ZEND_IS_HEX(c)  (((c)>='0' && (c)<='9') || ((c)>='a' && (c)<='f') || ((c)>='A' && (c)<='F'))

BEGIN_EXTERN_C()

static void strip_underscores(char *str, size_t *len)
{
	char *src = str, *dest = str;
	while (*src != '\0') {
		if (*src != '_') {
			*dest = *src;
			dest++;
		} else {
			--(*len);
		}
		src++;
	}
	*dest = '\0';
}

static size_t encoding_filter_script_to_internal(unsigned char **to, size_t *to_length, const unsigned char *from, size_t from_length)
{
	const zend_encoding *internal_encoding = zend_multibyte_get_internal_encoding();
	ZEND_ASSERT(internal_encoding);
	return zend_multibyte_encoding_converter(to, to_length, from, from_length, internal_encoding, LANG_SCNG(script_encoding));
}

static size_t encoding_filter_script_to_intermediate(unsigned char **to, size_t *to_length, const unsigned char *from, size_t from_length)
{
	return zend_multibyte_encoding_converter(to, to_length, from, from_length, zend_multibyte_encoding_utf8, LANG_SCNG(script_encoding));
}

static size_t encoding_filter_intermediate_to_script(unsigned char **to, size_t *to_length, const unsigned char *from, size_t from_length)
{
	return zend_multibyte_encoding_converter(to, to_length, from, from_length,
LANG_SCNG(script_encoding), zend_multibyte_encoding_utf8);
}

static size_t encoding_filter_intermediate_to_internal(unsigned char **to, size_t *to_length, const unsigned char *from, size_t from_length)
{
	const zend_encoding *internal_encoding = zend_multibyte_get_internal_encoding();
	ZEND_ASSERT(internal_encoding);
	return zend_multibyte_encoding_converter(to, to_length, from, from_length,
internal_encoding, zend_multibyte_encoding_utf8);
}


static void _yy_push_state(int new_state)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION());
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(void)
{
	int *stack_state = zend_stack_top(&SCNG(state_stack));
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, size_t len)
{
	YYCURSOR       = (YYCTYPE*)str;
	YYLIMIT        = YYCURSOR + len;
	if (!SCNG(yy_start)) {
		SCNG(yy_start) = YYCURSOR;
	}
}

void startup_scanner(void)
{
	CG(parse_error) = 0;
	CG(doc_comment) = NULL;
	CG(extra_fn_flags) = 0;
	zend_stack_init(&SCNG(state_stack), sizeof(int));
	zend_stack_init(&SCNG(nest_location_stack), sizeof(zend_nest_location));
	zend_ptr_stack_init(&SCNG(heredoc_label_stack));
	SCNG(heredoc_scan_ahead) = 0;
}

static void heredoc_label_dtor(zend_heredoc_label *heredoc_label) {
    efree(heredoc_label->label);
}

void shutdown_scanner(void)
{
	CG(parse_error) = 0;
	RESET_DOC_COMMENT();
	zend_stack_destroy(&SCNG(state_stack));
	zend_stack_destroy(&SCNG(nest_location_stack));
	zend_ptr_stack_clean(&SCNG(heredoc_label_stack), (void (*)(void *)) &heredoc_label_dtor, 1);
	zend_ptr_stack_destroy(&SCNG(heredoc_label_stack));
	SCNG(heredoc_scan_ahead) = 0;
	SCNG(on_event) = NULL;
}

ZEND_API void zend_save_lexical_state(zend_lex_state *lex_state)
{
	lex_state->yy_leng   = SCNG(yy_leng);
	lex_state->yy_start  = SCNG(yy_start);
	lex_state->yy_text   = SCNG(yy_text);
	lex_state->yy_cursor = SCNG(yy_cursor);
	lex_state->yy_marker = SCNG(yy_marker);
	lex_state->yy_limit  = SCNG(yy_limit);

	lex_state->state_stack = SCNG(state_stack);
	zend_stack_init(&SCNG(state_stack), sizeof(int));

	lex_state->nest_location_stack = SCNG(nest_location_stack);
	zend_stack_init(&SCNG(nest_location_stack), sizeof(zend_nest_location));

	lex_state->heredoc_label_stack = SCNG(heredoc_label_stack);
	zend_ptr_stack_init(&SCNG(heredoc_label_stack));

	lex_state->in = SCNG(yy_in);
	lex_state->yy_state = YYSTATE;
	lex_state->filename = CG(compiled_filename);
	lex_state->lineno = CG(zend_lineno);
	CG(compiled_filename) = NULL;

	lex_state->script_org = SCNG(script_org);
	lex_state->script_org_size = SCNG(script_org_size);
	lex_state->script_filtered = SCNG(script_filtered);
	lex_state->script_filtered_size = SCNG(script_filtered_size);
	lex_state->input_filter = SCNG(input_filter);
	lex_state->output_filter = SCNG(output_filter);
	lex_state->script_encoding = SCNG(script_encoding);

	lex_state->on_event = SCNG(on_event);
	lex_state->on_event_context = SCNG(on_event_context);

	lex_state->ast = CG(ast);
	lex_state->ast_arena = CG(ast_arena);
}

ZEND_API void zend_restore_lexical_state(zend_lex_state *lex_state)
{
	SCNG(yy_leng)   = lex_state->yy_leng;
	SCNG(yy_start)  = lex_state->yy_start;
	SCNG(yy_text)   = lex_state->yy_text;
	SCNG(yy_cursor) = lex_state->yy_cursor;
	SCNG(yy_marker) = lex_state->yy_marker;
	SCNG(yy_limit)  = lex_state->yy_limit;

	zend_stack_destroy(&SCNG(state_stack));
	SCNG(state_stack) = lex_state->state_stack;

	zend_stack_destroy(&SCNG(nest_location_stack));
	SCNG(nest_location_stack) = lex_state->nest_location_stack;

	zend_ptr_stack_clean(&SCNG(heredoc_label_stack), (void (*)(void *)) &heredoc_label_dtor, 1);
	zend_ptr_stack_destroy(&SCNG(heredoc_label_stack));
	SCNG(heredoc_label_stack) = lex_state->heredoc_label_stack;

	SCNG(yy_in) = lex_state->in;
	YYSETCONDITION(lex_state->yy_state);
	CG(zend_lineno) = lex_state->lineno;
	zend_restore_compiled_filename(lex_state->filename);

	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
	SCNG(script_org) = lex_state->script_org;
	SCNG(script_org_size) = lex_state->script_org_size;
	SCNG(script_filtered) = lex_state->script_filtered;
	SCNG(script_filtered_size) = lex_state->script_filtered_size;
	SCNG(input_filter) = lex_state->input_filter;
	SCNG(output_filter) = lex_state->output_filter;
	SCNG(script_encoding) = lex_state->script_encoding;

	SCNG(on_event) = lex_state->on_event;
	SCNG(on_event_context) = lex_state->on_event_context;

	CG(ast) = lex_state->ast;
	CG(ast_arena) = lex_state->ast_arena;

	RESET_DOC_COMMENT();
}

ZEND_API void zend_destroy_file_handle(zend_file_handle *file_handle)
{
	zend_llist_del_element(&CG(open_files), file_handle, (int (*)(void *, void *)) zend_compare_file_handles);
	/* zend_file_handle_dtor() operates on the copy, so we have to NULLify the original here */
	file_handle->opened_path = NULL;
	if (file_handle->free_filename) {
		file_handle->filename = NULL;
	}
}

ZEND_API zend_result zend_lex_tstring(zval *zv, zend_lexer_ident_ref ident_ref)
{
	char *ident = (char *) SCNG(yy_start) + ident_ref.offset;
	size_t length = ident_ref.len;
	if (length == sizeof("<?=")-1 && memcmp(ident, "<?=", sizeof("<?=")-1) == 0) {
		zend_throw_exception(zend_ce_parse_error, "Cannot use \"<?=\" as an identifier", 0);
		return FAILURE;
	}

	if (SCNG(on_event)) {
		SCNG(on_event)(ON_FEEDBACK, T_STRING, 0, ident, length, SCNG(on_event_context));
	}

	ZVAL_STRINGL(zv, ident, length);
	return SUCCESS;
}

#define BOM_UTF32_BE	"\x00\x00\xfe\xff"
#define	BOM_UTF32_LE	"\xff\xfe\x00\x00"
#define	BOM_UTF16_BE	"\xfe\xff"
#define	BOM_UTF16_LE	"\xff\xfe"
#define	BOM_UTF8		"\xef\xbb\xbf"

static const zend_encoding *zend_multibyte_detect_utf_encoding(const unsigned char *script, size_t script_size)
{
	const unsigned char *p;
	int wchar_size = 2;
	int le = 0;

	/* utf-16 or utf-32? */
	p = script;
	assert(p >= script);
	while ((size_t)(p-script) < script_size) {
		p = memchr(p, 0, script_size-(p-script)-2);
		if (!p) {
			break;
		}
		if (*(p+1) == '\0' && *(p+2) == '\0') {
			wchar_size = 4;
			break;
		}

		/* searching for UTF-32 specific byte orders, so this will do */
		p += 4;
	}

	/* BE or LE? */
	p = script;
	assert(p >= script);
	while ((size_t)(p-script) < script_size) {
		if (*p == '\0' && *(p+wchar_size-1) != '\0') {
			/* BE */
			le = 0;
			break;
		} else if (*p != '\0' && *(p+wchar_size-1) == '\0') {
			/* LE* */
			le = 1;
			break;
		}
		p += wchar_size;
	}

	if (wchar_size == 2) {
		return le ? zend_multibyte_encoding_utf16le : zend_multibyte_encoding_utf16be;
	} else {
		return le ? zend_multibyte_encoding_utf32le : zend_multibyte_encoding_utf32be;
	}

	return NULL;
}

static const zend_encoding* zend_multibyte_detect_unicode(void)
{
	const zend_encoding *script_encoding = NULL;
	int bom_size;
	unsigned char *pos1, *pos2;

	if (LANG_SCNG(script_org_size) < sizeof(BOM_UTF32_LE)-1) {
		return NULL;
	}

	/* check out BOM */
	if (!memcmp(LANG_SCNG(script_org), BOM_UTF32_BE, sizeof(BOM_UTF32_BE)-1)) {
		script_encoding = zend_multibyte_encoding_utf32be;
		bom_size = sizeof(BOM_UTF32_BE)-1;
	} else if (!memcmp(LANG_SCNG(script_org), BOM_UTF32_LE, sizeof(BOM_UTF32_LE)-1)) {
		script_encoding = zend_multibyte_encoding_utf32le;
		bom_size = sizeof(BOM_UTF32_LE)-1;
	} else if (!memcmp(LANG_SCNG(script_org), BOM_UTF16_BE, sizeof(BOM_UTF16_BE)-1)) {
		script_encoding = zend_multibyte_encoding_utf16be;
		bom_size = sizeof(BOM_UTF16_BE)-1;
	} else if (!memcmp(LANG_SCNG(script_org), BOM_UTF16_LE, sizeof(BOM_UTF16_LE)-1)) {
		script_encoding = zend_multibyte_encoding_utf16le;
		bom_size = sizeof(BOM_UTF16_LE)-1;
	} else if (!memcmp(LANG_SCNG(script_org), BOM_UTF8, sizeof(BOM_UTF8)-1)) {
		script_encoding = zend_multibyte_encoding_utf8;
		bom_size = sizeof(BOM_UTF8)-1;
	}

	if (script_encoding) {
		/* remove BOM */
		LANG_SCNG(script_org) += bom_size;
		LANG_SCNG(script_org_size) -= bom_size;

		return script_encoding;
	}

	/* script contains NULL bytes -> auto-detection */
	if ((pos1 = memchr(LANG_SCNG(script_org), 0, LANG_SCNG(script_org_size)))) {
		/* check if the NULL byte is after the __HALT_COMPILER(); */
		pos2 = LANG_SCNG(script_org);

		while ((size_t)(pos1 - pos2) >= sizeof("__HALT_COMPILER();")-1) {
			pos2 = memchr(pos2, '_', pos1 - pos2);
			if (!pos2) break;
			pos2++;
			if (strncasecmp((char*)pos2, "_HALT_COMPILER", sizeof("_HALT_COMPILER")-1) == 0) {
				pos2 += sizeof("_HALT_COMPILER")-1;
				while (*pos2 == ' '  ||
					   *pos2 == '\t' ||
					   *pos2 == '\r' ||
					   *pos2 == '\n') {
					pos2++;
				}
				if (*pos2 == '(') {
					pos2++;
					while (*pos2 == ' '  ||
						   *pos2 == '\t' ||
						   *pos2 == '\r' ||
						   *pos2 == '\n') {
						pos2++;
					}
					if (*pos2 == ')') {
						pos2++;
						while (*pos2 == ' '  ||
							   *pos2 == '\t' ||
							   *pos2 == '\r' ||
							   *pos2 == '\n') {
							pos2++;
						}
						if (*pos2 == ';') {
							return NULL;
						}
					}
				}
			}
		}
		/* make best effort if BOM is missing */
		return zend_multibyte_detect_utf_encoding(LANG_SCNG(script_org), LANG_SCNG(script_org_size));
	}

	return NULL;
}

static const zend_encoding* zend_multibyte_find_script_encoding(void)
{
	const zend_encoding *script_encoding;

	if (CG(detect_unicode)) {
		/* check out bom(byte order mark) and see if containing wchars */
		script_encoding = zend_multibyte_detect_unicode();
		if (script_encoding != NULL) {
			/* bom or wchar detection is prior to 'script_encoding' option */
			return script_encoding;
		}
	}

	/* if no script_encoding specified, just leave alone */
	if (!CG(script_encoding_list) || !CG(script_encoding_list_size)) {
		return NULL;
	}

	/* if multiple encodings specified, detect automagically */
	if (CG(script_encoding_list_size) > 1) {
		return zend_multibyte_encoding_detector(LANG_SCNG(script_org), LANG_SCNG(script_org_size), CG(script_encoding_list), CG(script_encoding_list_size));
	}

	return CG(script_encoding_list)[0];
}

ZEND_API zend_result zend_multibyte_set_filter(const zend_encoding *onetime_encoding)
{
	const zend_encoding *internal_encoding = zend_multibyte_get_internal_encoding();
	const zend_encoding *script_encoding = onetime_encoding ? onetime_encoding: zend_multibyte_find_script_encoding();

	if (!script_encoding) {
		return FAILURE;
	}

	/* judge input/output filter */
	LANG_SCNG(script_encoding) = script_encoding;
	LANG_SCNG(input_filter) = NULL;
	LANG_SCNG(output_filter) = NULL;

	if (!internal_encoding || LANG_SCNG(script_encoding) == internal_encoding) {
		if (!zend_multibyte_check_lexer_compatibility(LANG_SCNG(script_encoding))) {
			/* and if not, work around w/ script_encoding -> utf-8 -> script_encoding conversion */
			LANG_SCNG(input_filter) = encoding_filter_script_to_intermediate;
			LANG_SCNG(output_filter) = encoding_filter_intermediate_to_script;
		} else {
			LANG_SCNG(input_filter) = NULL;
			LANG_SCNG(output_filter) = NULL;
		}
		return SUCCESS;
	}

	if (zend_multibyte_check_lexer_compatibility(internal_encoding)) {
		LANG_SCNG(input_filter) = encoding_filter_script_to_internal;
		LANG_SCNG(output_filter) = NULL;
	} else if (zend_multibyte_check_lexer_compatibility(LANG_SCNG(script_encoding))) {
		LANG_SCNG(input_filter) = NULL;
		LANG_SCNG(output_filter) = encoding_filter_script_to_internal;
	} else {
		/* both script and internal encodings are incompatible w/ flex */
		LANG_SCNG(input_filter) = encoding_filter_script_to_intermediate;
		LANG_SCNG(output_filter) = encoding_filter_intermediate_to_internal;
	}

	return SUCCESS;
}

ZEND_API zend_result open_file_for_scanning(zend_file_handle *file_handle)
{
	char *buf;
	size_t size;
	zend_string *compiled_filename;

	if (zend_stream_fixup(file_handle, &buf, &size) == FAILURE) {
		/* Still add it to open_files to make destroy_file_handle work */
		zend_llist_add_element(&CG(open_files), file_handle);
		return FAILURE;
	}

	ZEND_ASSERT(!EG(exception) && "stream_fixup() should have failed");
	zend_llist_add_element(&CG(open_files), file_handle);
	if (file_handle->handle.stream.handle >= (void*)file_handle && file_handle->handle.stream.handle <= (void*)(file_handle+1)) {
		zend_file_handle *fh = (zend_file_handle*)zend_llist_get_last(&CG(open_files));
		size_t diff = (char*)file_handle->handle.stream.handle - (char*)file_handle;
		fh->handle.stream.handle = (void*)(((char*)fh) + diff);
		file_handle->handle.stream.handle = fh->handle.stream.handle;
	}

	/* Reset the scanner for scanning the new file */
	SCNG(yy_in) = file_handle;
	SCNG(yy_start) = NULL;

	if (size != (size_t)-1) {
		if (CG(multibyte)) {
			SCNG(script_org) = (unsigned char*)buf;
			SCNG(script_org_size) = size;
			SCNG(script_filtered) = NULL;

			zend_multibyte_set_filter(NULL);

			if (SCNG(input_filter)) {
				if ((size_t)-1 == SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size))) {
					zend_error_noreturn(E_COMPILE_ERROR, "Could not convert the script from the detected "
							"encoding \"%s\" to a compatible encoding", zend_multibyte_get_encoding_name(LANG_SCNG(script_encoding)));
				}
				buf = (char*)SCNG(script_filtered);
				size = SCNG(script_filtered_size);
			}
		}
		SCNG(yy_start) = (unsigned char *)buf;
		yy_scan_buffer(buf, size);
	} else {
		zend_error_noreturn(E_COMPILE_ERROR, "zend_stream_mmap() failed");
	}

	if (CG(skip_shebang)) {
		BEGIN(SHEBANG);
	} else {
		BEGIN(INITIAL);
	}

	if (file_handle->opened_path) {
		compiled_filename = zend_string_copy(file_handle->opened_path);
	} else {
		compiled_filename = zend_string_init(file_handle->filename, strlen(file_handle->filename), 0);
	}

	zend_set_compiled_filename(compiled_filename);
	zend_string_release_ex(compiled_filename, 0);

	RESET_DOC_COMMENT();
	CG(zend_lineno) = 1;
	CG(increment_lineno) = 0;
	return SUCCESS;
}
END_EXTERN_C()

static zend_op_array *zend_compile(int type)
{
	zend_op_array *op_array = NULL;
	zend_bool original_in_compilation = CG(in_compilation);

	CG(in_compilation) = 1;
	CG(ast) = NULL;
	CG(ast_arena) = zend_arena_create(1024 * 32);

	if (!zendparse()) {
		int last_lineno = CG(zend_lineno);
		zend_file_context original_file_context;
		zend_oparray_context original_oparray_context;
		zend_op_array *original_active_op_array = CG(active_op_array);

		op_array = emalloc(sizeof(zend_op_array));
		init_op_array(op_array, type, INITIAL_OP_ARRAY_SIZE);
		CG(active_op_array) = op_array;

		/* Use heap to not waste arena memory */
		op_array->fn_flags |= ZEND_ACC_HEAP_RT_CACHE;

		if (zend_ast_process) {
			zend_ast_process(CG(ast));
		}

		zend_file_context_begin(&original_file_context);
		zend_oparray_context_begin(&original_oparray_context);
		zend_compile_top_stmt(CG(ast));
		CG(zend_lineno) = last_lineno;
		zend_emit_final_return(type == ZEND_USER_FUNCTION);
		op_array->line_start = 1;
		op_array->line_end = last_lineno;
		pass_two(op_array);
		zend_oparray_context_end(&original_oparray_context);
		zend_file_context_end(&original_file_context);

		CG(active_op_array) = original_active_op_array;
	}

	zend_ast_destroy(CG(ast));
	zend_arena_destroy(CG(ast_arena));

	CG(in_compilation) = original_in_compilation;

	return op_array;
}

ZEND_API zend_op_array *compile_file(zend_file_handle *file_handle, int type)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = NULL;
	zend_save_lexical_state(&original_lex_state);

	if (open_file_for_scanning(file_handle)==FAILURE) {
		if (!EG(exception)) {
			if (type==ZEND_REQUIRE) {
				zend_message_dispatcher(ZMSG_FAILED_REQUIRE_FOPEN, file_handle->filename);
			} else {
				zend_message_dispatcher(ZMSG_FAILED_INCLUDE_FOPEN, file_handle->filename);
			}
		}
	} else {
		op_array = zend_compile(ZEND_USER_FUNCTION);
	}

	zend_restore_lexical_state(&original_lex_state);
	return op_array;
}

ZEND_API zend_ast *zend_compile_string_to_ast(
		zend_string *code, zend_arena **ast_arena, const char *filename) {
	zval code_zv;
	zend_bool original_in_compilation;
	zend_lex_state original_lex_state;
	zend_ast *ast;

	ZVAL_STR_COPY(&code_zv, code);

	original_in_compilation = CG(in_compilation);
	CG(in_compilation) = 1;

	zend_save_lexical_state(&original_lex_state);
	zend_prepare_string_for_scanning(&code_zv, filename);
	CG(ast) = NULL;
	CG(ast_arena) = zend_arena_create(1024 * 32);
	LANG_SCNG(yy_state) = yycINITIAL;

	if (zendparse() != 0) {
		zend_ast_destroy(CG(ast));
		zend_arena_destroy(CG(ast_arena));
		CG(ast) = NULL;
	}

	/* restore_lexical_state changes CG(ast) and CG(ast_arena) */
	ast = CG(ast);
	*ast_arena = CG(ast_arena);

	zend_restore_lexical_state(&original_lex_state);
	CG(in_compilation) = original_in_compilation;

	zval_ptr_dtor_str(&code_zv);

	return ast;
}

zend_op_array *compile_filename(int type, zval *filename)
{
	zend_file_handle file_handle;
	zval tmp;
	zend_op_array *retval;
	zend_string *opened_path = NULL;

	if (Z_TYPE_P(filename) != IS_STRING) {
		ZVAL_STR(&tmp, zval_get_string(filename));
		filename = &tmp;
	}
	zend_stream_init_filename(&file_handle, Z_STRVAL_P(filename));

	retval = zend_compile_file(&file_handle, type);
	if (retval && file_handle.handle.stream.handle) {
		if (!file_handle.opened_path) {
			file_handle.opened_path = opened_path = zend_string_copy(Z_STR_P(filename));
		}

		zend_hash_add_empty_element(&EG(included_files), file_handle.opened_path);

		if (opened_path) {
			zend_string_release_ex(opened_path, 0);
		}
	}
	zend_destroy_file_handle(&file_handle);

	if (UNEXPECTED(filename == &tmp)) {
		zval_ptr_dtor(&tmp);
	}
	return retval;
}

ZEND_API void zend_prepare_string_for_scanning(zval *str, const char *filename)
{
	char *buf;
	size_t size, old_len;
	zend_string *new_compiled_filename;

	/* enforce ZEND_MMAP_AHEAD trailing NULLs for flex... */
	old_len = Z_STRLEN_P(str);
	Z_STR_P(str) = zend_string_extend(Z_STR_P(str), old_len + ZEND_MMAP_AHEAD, 0);
	Z_TYPE_INFO_P(str) = IS_STRING_EX;
	memset(Z_STRVAL_P(str) + old_len, 0, ZEND_MMAP_AHEAD + 1);

	SCNG(yy_in) = NULL;
	SCNG(yy_start) = NULL;

	buf = Z_STRVAL_P(str);
	size = old_len;

	if (CG(multibyte)) {
		SCNG(script_org) = (unsigned char*)buf;
		SCNG(script_org_size) = size;
		SCNG(script_filtered) = NULL;

		zend_multibyte_set_filter(zend_multibyte_get_internal_encoding());

		if (SCNG(input_filter)) {
			if ((size_t)-1 == SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size))) {
				zend_error_noreturn(E_COMPILE_ERROR, "Could not convert the script from the detected "
						"encoding \"%s\" to a compatible encoding", zend_multibyte_get_encoding_name(LANG_SCNG(script_encoding)));
			}
			buf = (char*)SCNG(script_filtered);
			size = SCNG(script_filtered_size);
		}
	}

	yy_scan_buffer(buf, size);

	new_compiled_filename = zend_string_init(filename, strlen(filename), 0);
	zend_set_compiled_filename(new_compiled_filename);
	zend_string_release_ex(new_compiled_filename, 0);
	CG(zend_lineno) = 1;
	CG(increment_lineno) = 0;
	RESET_DOC_COMMENT();
}


ZEND_API size_t zend_get_scanned_file_offset(void)
{
	size_t offset = SCNG(yy_cursor) - SCNG(yy_start);
	if (SCNG(input_filter)) {
		size_t original_offset = offset, length = 0;
		do {
			unsigned char *p = NULL;
			if ((size_t)-1 == SCNG(input_filter)(&p, &length, SCNG(script_org), offset)) {
				return (size_t)-1;
			}
			efree(p);
			if (length > original_offset) {
				offset--;
			} else if (length < original_offset) {
				offset++;
			}
		} while (original_offset != length);
	}
	return offset;
}

zend_op_array *compile_string(zend_string *source_string, const char *filename)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = NULL;
	zval tmp;

	if (ZSTR_LEN(source_string) == 0) {
		return NULL;
	}

	ZVAL_STR_COPY(&tmp, source_string);

	zend_save_lexical_state(&original_lex_state);
	zend_prepare_string_for_scanning(&tmp, filename);
	BEGIN(ST_IN_SCRIPTING);
	op_array = zend_compile(ZEND_EVAL_CODE);

	zend_restore_lexical_state(&original_lex_state);
	zval_ptr_dtor(&tmp);

	return op_array;
}


BEGIN_EXTERN_C()
zend_result highlight_file(const char *filename, zend_syntax_highlighter_ini *syntax_highlighter_ini)
{
	zend_lex_state original_lex_state;
	zend_file_handle file_handle;

	zend_stream_init_filename(&file_handle, filename);
	zend_save_lexical_state(&original_lex_state);
	if (open_file_for_scanning(&file_handle)==FAILURE) {
		zend_message_dispatcher(ZMSG_FAILED_HIGHLIGHT_FOPEN, filename);
		zend_restore_lexical_state(&original_lex_state);
		return FAILURE;
	}
	zend_highlight(syntax_highlighter_ini);
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
	zend_destroy_file_handle(&file_handle);
	zend_restore_lexical_state(&original_lex_state);
	return SUCCESS;
}

void highlight_string(zval *str, zend_syntax_highlighter_ini *syntax_highlighter_ini, const char *str_name)
{
	zend_lex_state original_lex_state;
	zval tmp;

	if (UNEXPECTED(Z_TYPE_P(str) != IS_STRING)) {
		ZVAL_STR(&tmp, zval_get_string_func(str));
		str = &tmp;
	}
	zend_save_lexical_state(&original_lex_state);
	zend_prepare_string_for_scanning(str, str_name);
	BEGIN(INITIAL);
	zend_highlight(syntax_highlighter_ini);
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
	zend_restore_lexical_state(&original_lex_state);
	if (UNEXPECTED(str == &tmp)) {
		zval_ptr_dtor(&tmp);
	}
}

ZEND_API void zend_multibyte_yyinput_again(zend_encoding_filter old_input_filter, const zend_encoding *old_encoding)
{
	size_t length;
	unsigned char *new_yy_start;

	/* convert and set */
	if (!SCNG(input_filter)) {
		if (SCNG(script_filtered)) {
			efree(SCNG(script_filtered));
			SCNG(script_filtered) = NULL;
		}
		SCNG(script_filtered_size) = 0;
		length = SCNG(script_org_size);
		new_yy_start = SCNG(script_org);
	} else {
		if ((size_t)-1 == SCNG(input_filter)(&new_yy_start, &length, SCNG(script_org), SCNG(script_org_size))) {
			zend_error_noreturn(E_COMPILE_ERROR, "Could not convert the script from the detected "
					"encoding \"%s\" to a compatible encoding", zend_multibyte_get_encoding_name(LANG_SCNG(script_encoding)));
		}
		if (SCNG(script_filtered)) {
			efree(SCNG(script_filtered));
		}
		SCNG(script_filtered) = new_yy_start;
		SCNG(script_filtered_size) = length;
	}

	SCNG(yy_cursor) = new_yy_start + (SCNG(yy_cursor) - SCNG(yy_start));
	SCNG(yy_marker) = new_yy_start + (SCNG(yy_marker) - SCNG(yy_start));
	SCNG(yy_text) = new_yy_start + (SCNG(yy_text) - SCNG(yy_start));
	SCNG(yy_limit) = new_yy_start + length;

	SCNG(yy_start) = new_yy_start;
}


// TODO: avoid reallocation ???
# define zend_copy_value(zendlval, yytext, yyleng) \
	if (SCNG(output_filter)) { \
		size_t sz = 0; \
		char *s = NULL; \
		SCNG(output_filter)((unsigned char **)&s, &sz, (unsigned char *)yytext, (size_t)yyleng); \
		ZVAL_STRINGL(zendlval, s, sz); \
		efree(s); \
	} else if (yyleng == 1) { \
		ZVAL_INTERNED_STR(zendlval, ZSTR_CHAR((zend_uchar)*(yytext))); \
	} else { \
		ZVAL_STRINGL(zendlval, yytext, yyleng); \
	}

static zend_result zend_scan_escape_string(zval *zendlval, char *str, int len, char quote_type)
{
	register char *s, *t;
	char *end;

	if (len <= 1) {
		if (len < 1) {
			ZVAL_EMPTY_STRING(zendlval);
		} else {
			zend_uchar c = (zend_uchar)*str;
			if (c == '\n' || c == '\r') {
				CG(zend_lineno)++;
			}
			ZVAL_INTERNED_STR(zendlval, ZSTR_CHAR(c));
		}
		goto skip_escape_conversion;
	}

	ZVAL_STRINGL(zendlval, str, len);

	/* convert escape sequences */
	s = Z_STRVAL_P(zendlval);
	end = s+Z_STRLEN_P(zendlval);
	while (1) {
		if (UNEXPECTED(*s=='\\')) {
			break;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
		if (s == end) {
			goto skip_escape_conversion;
		}
	}

	t = s;
	while (s<end) {
		if (*s=='\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				break;
			}

			switch(*s) {
				case 'n':
					*t++ = '\n';
					break;
				case 'r':
					*t++ = '\r';
					break;
				case 't':
					*t++ = '\t';
					break;
				case 'f':
					*t++ = '\f';
					break;
				case 'v':
					*t++ = '\v';
					break;
				case 'e':
#ifdef ZEND_WIN32
					*t++ = VK_ESCAPE;
#else
					*t++ = '\e';
#endif
					break;
				case '"':
				case '`':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					break;
				case 'x':
				case 'X':
					if (ZEND_IS_HEX(*(s+1))) {
						char hex_buf[3] = { 0, 0, 0 };

						hex_buf[0] = *(++s);
						if (ZEND_IS_HEX(*(s+1))) {
							hex_buf[1] = *(++s);
						}
						*t++ = (char) ZEND_STRTOL(hex_buf, NULL, 16);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
				/* UTF-8 codepoint escape, format: /\\u\{\x+\}/ */
				case 'u':
					{
						/* cache where we started so we can parse after validating */
						char *start = s + 1;
						size_t len = 0;
						zend_bool valid = 1;
						unsigned long codepoint;

						if (*start != '{') {
							/* we silently let this pass to avoid breaking code
							 * with JSON in string literals (e.g. "\"\u202e\""
							 */
							*t++ = '\\';
							*t++ = 'u';
							break;
						} else {
							/* on the other hand, invalid \u{blah} errors */
							s++;
							len++;
							s++;
							while (*s != '}') {
								if (!ZEND_IS_HEX(*s)) {
									valid = 0;
									break;
								} else {
									len++;
								}
								s++;
							}
							if (*s == '}') {
								valid = 1;
								len++;
							}
						}

						/* \u{} is invalid */
						if (len <= 2) {
							valid = 0;
						}

						if (!valid) {
							zend_throw_exception(zend_ce_parse_error,
								"Invalid UTF-8 codepoint escape sequence", 0);
							zval_ptr_dtor(zendlval);
							ZVAL_UNDEF(zendlval);
							return FAILURE;
						}

						errno = 0;
						codepoint = strtoul(start + 1, NULL, 16);

						/* per RFC 3629, UTF-8 can only represent 21 bits */
						if (codepoint > 0x10FFFF || errno) {
							zend_throw_exception(zend_ce_parse_error,
								"Invalid UTF-8 codepoint escape sequence: Codepoint too large", 0);
							zval_ptr_dtor(zendlval);
							ZVAL_UNDEF(zendlval);
							return FAILURE;
						}

						/* based on https://en.wikipedia.org/wiki/UTF-8#Sample_code */
						if (codepoint < 0x80) {
							*t++ = codepoint;
						} else if (codepoint <= 0x7FF) {
							*t++ = (codepoint >> 6) + 0xC0;
							*t++ = (codepoint & 0x3F) + 0x80;
						} else if (codepoint <= 0xFFFF) {
							*t++ = (codepoint >> 12) + 0xE0;
							*t++ = ((codepoint >> 6) & 0x3F) + 0x80;
							*t++ = (codepoint & 0x3F) + 0x80;
						} else if (codepoint <= 0x10FFFF) {
							*t++ = (codepoint >> 18) + 0xF0;
							*t++ = ((codepoint >> 12) & 0x3F) + 0x80;
							*t++ = ((codepoint >> 6) & 0x3F) + 0x80;
							*t++ = (codepoint & 0x3F) + 0x80;
						}
					}
					break;
				default:
					/* check for an octal */
					if (ZEND_IS_OCT(*s)) {
						char octal_buf[4] = { 0, 0, 0, 0 };

						octal_buf[0] = *s;
						if (ZEND_IS_OCT(*(s+1))) {
							octal_buf[1] = *(++s);
							if (ZEND_IS_OCT(*(s+1))) {
								octal_buf[2] = *(++s);
							}
						}
						if (octal_buf[2] && (octal_buf[0] > '3') && !SCNG(heredoc_scan_ahead)) {
							/* 3 octit values must not overflow 0xFF (\377) */
							zend_error(E_COMPILE_WARNING, "Octal escape sequence overflow \\%s is greater than \\377", octal_buf);
						}

						*t++ = (char) ZEND_STRTOL(octal_buf, NULL, 8);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;
	Z_STRLEN_P(zendlval) = t - Z_STRVAL_P(zendlval);

skip_escape_conversion:
	if (SCNG(output_filter)) {
		size_t sz = 0;
		unsigned char *str;
		// TODO: avoid realocation ???
		s = Z_STRVAL_P(zendlval);
		SCNG(output_filter)(&str, &sz, (unsigned char *)s, (size_t)Z_STRLEN_P(zendlval));
		zval_ptr_dtor(zendlval);
		ZVAL_STRINGL(zendlval, (char *) str, sz);
		efree(str);
	}
	return SUCCESS;
}

#define HEREDOC_USING_SPACES 1
#define HEREDOC_USING_TABS 2

static const char *next_newline(const char *str, const char *end, size_t *newline_len) {
	for (; str < end; str++) {
		if (*str == '\r') {
			*newline_len = str + 1 < end && *(str + 1) == '\n' ? 2 : 1;
			return str;
		} else if (*str == '\n') {
			*newline_len = 1;
			return str;
		}
	}
	*newline_len = 0;
	return NULL;
}

static zend_bool strip_multiline_string_indentation(
	zval *zendlval, int indentation, zend_bool using_spaces,
	zend_bool newline_at_start, zend_bool newline_at_end)
{
	const char *str = Z_STRVAL_P(zendlval), *end = str + Z_STRLEN_P(zendlval);
	char *copy = Z_STRVAL_P(zendlval);

	int newline_count = 0;
	size_t newline_len;
	const char *nl;

	if (!newline_at_start) {
		nl = next_newline(str, end, &newline_len);
		if (!nl) {
			return 1;
		}

		str = nl + newline_len;
		copy = (char *) nl + newline_len;
		newline_count++;
	} else {
		nl = str;
	}

	/* <= intentional */
	while (str <= end && nl) {
		size_t skip;
		nl = next_newline(str, end, &newline_len);
		if (!nl && newline_at_end) {
			nl = end;
		}

		/* Try to skip indentation */
		for (skip = 0; skip < indentation; skip++, str++) {
			if (str == nl) {
				/* Don't require full indentation on whitespace-only lines */
				break;
			}

			if (str == end || (*str != ' ' && *str != '\t')) {
				CG(zend_lineno) += newline_count;
				zend_throw_exception_ex(zend_ce_parse_error, 0,
					"Invalid body indentation level (expecting an indentation level of at least %d)", indentation);
				goto error;
			}

			if ((!using_spaces && *str == ' ') || (using_spaces && *str == '\t')) {
				CG(zend_lineno) += newline_count;
				zend_throw_exception(zend_ce_parse_error,
					"Invalid indentation - tabs and spaces cannot be mixed", 0);
				goto error;
			}
		}

		if (str == end) {
			break;
		}

		size_t len = nl ? (nl - str + newline_len) : (end - str);
		memmove(copy, str, len);
		str += len;
		copy += len;
		newline_count++;
	}

	*copy = '\0';
	Z_STRLEN_P(zendlval) = copy - Z_STRVAL_P(zendlval);
	return 1;

error:
	zval_ptr_dtor_str(zendlval);
	ZVAL_UNDEF(zendlval);

	return 0;
}

static void copy_heredoc_label_stack(void *void_heredoc_label)
{
	zend_heredoc_label *heredoc_label = void_heredoc_label;
	zend_heredoc_label *new_heredoc_label = emalloc(sizeof(zend_heredoc_label));

	*new_heredoc_label = *heredoc_label;
	new_heredoc_label->label = estrndup(heredoc_label->label, heredoc_label->length);

	zend_ptr_stack_push(&SCNG(heredoc_label_stack), (void *) new_heredoc_label);
}

/* Check that { }, [ ], ( ) are nested correctly */
static void report_bad_nesting(char opening, int opening_lineno, char closing)
{
	char   buf[256];
	size_t used = 0;

	used = snprintf(buf, sizeof(buf), "Unclosed '%c'", opening);

	if (opening_lineno != CG(zend_lineno)) {
		used += snprintf(buf + used, sizeof(buf) - used, " on line %d", opening_lineno);
	}

	if (closing) { 	/* 'closing' will be 0 if at end of file */
		used += snprintf(buf + used, sizeof(buf) - used, " does not match '%c'", closing);
	}

	zend_throw_exception(zend_ce_parse_error, buf, 0);
}

static void enter_nesting(char opening)
{
	zend_nest_location nest_loc = {opening, CG(zend_lineno)};
	zend_stack_push(&SCNG(nest_location_stack), &nest_loc);
}

static zend_result exit_nesting(char closing)
{
	if (zend_stack_is_empty(&SCNG(nest_location_stack))) {
		zend_throw_exception_ex(zend_ce_parse_error, 0, "Unmatched '%c'", closing);
		return FAILURE;
	}

	zend_nest_location *nest_loc = zend_stack_top(&SCNG(nest_location_stack));
	char opening = nest_loc->text;

	if ((opening == '{' && closing != '}') ||
	    (opening == '[' && closing != ']') ||
	    (opening == '(' && closing != ')')) {
		report_bad_nesting(opening, nest_loc->lineno, closing);
		return FAILURE;
	}

	zend_stack_del_top(&SCNG(nest_location_stack));
	return SUCCESS;
}

static zend_result check_nesting_at_end()
{
	if (!zend_stack_is_empty(&SCNG(nest_location_stack))) {
		zend_nest_location *nest_loc = zend_stack_top(&SCNG(nest_location_stack));
		report_bad_nesting(nest_loc->text, nest_loc->lineno, 0);
		return FAILURE;
	}

	return SUCCESS;
}

#define PARSER_MODE() \
	EXPECTED(elem != NULL)

#define RETURN_TOKEN(_token) do { \
		token = _token; \
		goto emit_token; \
	} while (0)

#define RETURN_TOKEN_WITH_VAL(_token) do { \
		token = _token; \
		goto emit_token_with_val; \
	} while (0)

#define RETURN_TOKEN_WITH_STR(_token, _offset) do { \
		token = _token; \
		offset = _offset; \
		goto emit_token_with_str; \
	} while (0)

#define RETURN_TOKEN_WITH_IDENT(_token) do { \
		token = _token; \
		goto emit_token_with_ident; \
	} while (0)

#define RETURN_OR_SKIP_TOKEN(_token) do { \
		token = _token; \
		if (PARSER_MODE()) { \
			goto skip_token; \
		} \
		goto emit_token; \
	} while (0)

#define RETURN_EXIT_NESTING_TOKEN(_token) do { \
		if (exit_nesting(_token) && PARSER_MODE()) { \
			RETURN_TOKEN(T_ERROR); \
		} else { \
			RETURN_TOKEN(_token); \
		} \
	} while(0)

#define RETURN_END_TOKEN do { \
		if (check_nesting_at_end() && PARSER_MODE()) { \
			RETURN_TOKEN(T_ERROR); \
		} else { \
			RETURN_TOKEN(END); \
		} \
	} while (0)

int ZEND_FASTCALL lex_scan(zval *zendlval, zend_parser_stack_elem *elem)
{
int token;
int offset;
int start_line = CG(zend_lineno);

	ZVAL_UNDEF(zendlval);
restart:
	SCNG(yy_text) = YYCURSOR;


#line 1373 "Zend/zend_language_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 5) {
		if (YYGETCONDITION() < 2) {
			if (YYGETCONDITION() < 1) {
				goto yyc_ST_IN_SCRIPTING;
			} else {
				goto yyc_ST_LOOKING_FOR_PROPERTY;
			}
		} else {
			if (YYGETCONDITION() < 3) {
				goto yyc_ST_BACKQUOTE;
			} else {
				if (YYGETCONDITION() < 4) {
					goto yyc_ST_DOUBLE_QUOTES;
				} else {
					goto yyc_ST_HEREDOC;
				}
			}
		}
	} else {
		if (YYGETCONDITION() < 8) {
			if (YYGETCONDITION() < 6) {
				goto yyc_ST_LOOKING_FOR_VARNAME;
			} else {
				if (YYGETCONDITION() < 7) {
					goto yyc_ST_VAR_OFFSET;
				} else {
					goto yyc_SHEBANG;
				}
			}
		} else {
			if (YYGETCONDITION() < 9) {
				goto yyc_INITIAL;
			} else {
				if (YYGETCONDITION() < 10) {
					goto yyc_ST_END_HEREDOC;
				} else {
					goto yyc_ST_NOWDOC;
				}
			}
		}
	}
/* *********************************** */
yyc_ST_IN_SCRIPTING:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,  36,   4,   0,   0,   4,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			 36,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			216, 216, 152, 152, 152, 152, 152, 152, 
			152, 152,   0,   0,   0,   0,   0,   0, 
			  0, 144, 144, 144, 144, 144, 144,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,   0,   0,   0,   0,  16, 
			  0, 144, 144, 144, 144, 144, 144,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,   0,   0,   0,   0,   0, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
		};
		YYDEBUG(0, *YYCURSOR);
		YYFILL(16);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy4;
		}
		switch (yych) {
		case 0x00:
		case 0x01:
		case 0x02:
		case 0x03:
		case 0x04:
		case 0x05:
		case 0x06:
		case 0x07:
		case 0x08:
		case '\t':
		case '\n':
		case '\v':
		case '\f':
		case '\r':
		case 0x0E:
		case 0x0F:
		case 0x10:
		case 0x11:
		case 0x12:
		case 0x13:
		case 0x14:
		case 0x15:
		case 0x16:
		case 0x17:
		case 0x18:
		case 0x19:
		case 0x1A:
		case 0x1B:
		case 0x1C:
		case 0x1D:
		case 0x1E:
		case 0x1F:
		case 0x7F:	goto yy2;
		case ' ':
		case '!':	goto yy7;
		case '"':	goto yy9;
		case '#':	goto yy11;
		case '$':	goto yy13;
		case '%':	goto yy14;
		case '&':	goto yy15;
		case '\'':	goto yy16;
		case '(':	goto yy18;
		case ')':
		case ']':	goto yy20;
		case '*':	goto yy22;
		case '+':	goto yy23;
		case ',':
		case ';':
		case '@':
		case '~':	goto yy24;
		case '-':	goto yy25;
		case '.':	goto yy26;
		case '/':	goto yy27;
		case '0':	goto yy28;
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy30;
		case ':':	goto yy32;
		case '<':	goto yy33;
		case '=':	goto yy34;
		case '>':	goto yy35;
		case '?':	goto yy36;
		case 'A':
		case 'a':	goto yy37;
		case 'B':
		case 'b':	goto yy39;
		case 'C':
		case 'c':	goto yy40;
		case 'D':
		case 'd':	goto yy41;
		case 'E':
		case 'e':	goto yy42;
		case 'F':
		case 'f':	goto yy43;
		case 'G':
		case 'g':	goto yy44;
		case 'I':
		case 'i':	goto yy47;
		case 'L':
		case 'l':	goto yy48;
		case 'M':
		case 'm':	goto yy49;
		case 'N':
		case 'n':	goto yy50;
		case 'O':
		case 'o':	goto yy51;
		case 'P':
		case 'p':	goto yy52;
		case 'R':
		case 'r':	goto yy53;
		case 'S':
		case 's':	goto yy54;
		case 'T':
		case 't':	goto yy55;
		case 'U':
		case 'u':	goto yy56;
		case 'V':
		case 'v':	goto yy57;
		case 'W':
		case 'w':	goto yy58;
		case 'X':
		case 'x':	goto yy59;
		case 'Y':
		case 'y':	goto yy60;
		case '[':	goto yy61;
		case '\\':	goto yy62;
		case '^':	goto yy64;
		case '_':	goto yy65;
		case '`':	goto yy66;
		case '{':	goto yy68;
		case '|':	goto yy70;
		case '}':	goto yy71;
		default:	goto yy45;
		}
yy2:
		YYDEBUG(2, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 3026 "Zend/zend_language_scanner.l"
		{
	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}

	RETURN_TOKEN(T_BAD_CHARACTER);
}
#line 1595 "Zend/zend_language_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(5, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy4;
		}
		YYDEBUG(6, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1570 "Zend/zend_language_scanner.l"
		{
	goto return_whitespace;
}
#line 1611 "Zend/zend_language_scanner.c"
yy7:
		YYDEBUG(7, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy73;
yy8:
		YYDEBUG(8, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1875 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(yytext[0]);
}
#line 1623 "Zend/zend_language_scanner.c"
yy9:
		YYDEBUG(9, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(10, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2480 "Zend/zend_language_scanner.l"
		{
	int bprefix = (yytext[0] != '"') ? 1 : 0;

	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '"':
				yyleng = YYCURSOR - SCNG(yy_text);
				if (EXPECTED(zend_scan_escape_string(zendlval, yytext+bprefix+1, yyleng-bprefix-2, '"') == SUCCESS)
				 || !PARSER_MODE()) {
					RETURN_TOKEN_WITH_VAL(T_CONSTANT_ENCAPSED_STRING);
				} else {
					RETURN_TOKEN(T_ERROR);
				}
			case '$':
				if (IS_LABEL_START(*YYCURSOR) || *YYCURSOR == '{') {
					break;
				}
				continue;
			case '{':
				if (*YYCURSOR == '$') {
					break;
				}
				continue;
			case '\\':
				if (YYCURSOR < YYLIMIT) {
					YYCURSOR++;
				}
				/* fall through */
			default:
				continue;
		}

		YYCURSOR--;
		break;
	}

	/* Remember how much was scanned to save rescanning */
	SET_DOUBLE_QUOTES_SCANNED_LENGTH(YYCURSOR - SCNG(yy_text) - yyleng);

	YYCURSOR = SCNG(yy_text) + yyleng;

	BEGIN(ST_DOUBLE_QUOTES);
	RETURN_TOKEN('"');
}
#line 1674 "Zend/zend_language_scanner.c"
yy11:
		YYDEBUG(11, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '[') goto yy75;
yy12:
		YYDEBUG(12, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2312 "Zend/zend_language_scanner.l"
		{
	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '\r':
			case '\n':
				YYCURSOR--;
				break;
			case '?':
				if (*YYCURSOR == '>') {
					YYCURSOR--;
					break;
				}
				/* fall through */
			default:
				continue;
		}

		break;
	}

	yyleng = YYCURSOR - SCNG(yy_text);
	RETURN_OR_SKIP_TOKEN(T_COMMENT);
}
#line 1706 "Zend/zend_language_scanner.c"
yy13:
		YYDEBUG(13, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy8;
			if (yych <= 'Z') goto yy77;
			if (yych <= '^') goto yy8;
			goto yy77;
		} else {
			if (yych <= '`') goto yy8;
			if (yych <= 'z') goto yy77;
			if (yych <= 0x7F) goto yy8;
			goto yy77;
		}
yy14:
		YYDEBUG(14, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy80;
		goto yy8;
yy15:
		YYDEBUG(15, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '&') goto yy82;
		if (yych == '=') goto yy84;
		goto yy8;
yy16:
		YYDEBUG(16, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(17, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2384 "Zend/zend_language_scanner.l"
		{
	register char *s, *t;
	char *end;
	int bprefix = (yytext[0] != '\'') ? 1 : 0;

	while (1) {
		if (YYCURSOR < YYLIMIT) {
			if (*YYCURSOR == '\'') {
				YYCURSOR++;
				yyleng = YYCURSOR - SCNG(yy_text);

				break;
			} else if (*YYCURSOR++ == '\\' && YYCURSOR < YYLIMIT) {
				YYCURSOR++;
			}
		} else {
			yyleng = YYLIMIT - SCNG(yy_text);

			/* Unclosed single quotes; treat similar to double quotes, but without a separate token
			 * for ' (unrecognized by parser), instead of old flex fallback to "Unexpected character..."
			 * rule, which continued in ST_IN_SCRIPTING state after the quote */
			ZVAL_NULL(zendlval);
			RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
		}
	}

	if (yyleng-bprefix-2 <= 1) {
		if (yyleng-bprefix-2 < 1) {
			ZVAL_EMPTY_STRING(zendlval);
		} else {
			zend_uchar c = (zend_uchar)*(yytext+bprefix+1);
			if (c == '\n' || c == '\r') {
				CG(zend_lineno)++;
			}
			ZVAL_INTERNED_STR(zendlval, ZSTR_CHAR(c));
		}
		goto skip_escape_conversion;
	}
	ZVAL_STRINGL(zendlval, yytext+bprefix+1, yyleng-bprefix-2);

	/* convert escape sequences */
	s = Z_STRVAL_P(zendlval);
	end = s+Z_STRLEN_P(zendlval);
	while (1) {
		if (UNEXPECTED(*s=='\\')) {
			break;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
		if (s == end) {
			goto skip_escape_conversion;
		}
	}

	t = s;
	while (s<end) {
		if (*s=='\\') {
			s++;
			if (*s == '\\' || *s == '\'') {
				*t++ = *s;
			} else {
				*t++ = '\\';
				*t++ = *s;
			}
		} else {
			*t++ = *s;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;
	Z_STRLEN_P(zendlval) = t - Z_STRVAL_P(zendlval);

skip_escape_conversion:
	if (SCNG(output_filter)) {
		size_t sz = 0;
		char *str = NULL;
		zend_string *new_str;
		s = Z_STRVAL_P(zendlval);
		// TODO: avoid reallocation ???
		SCNG(output_filter)((unsigned char **)&str, &sz, (unsigned char *)s, (size_t)Z_STRLEN_P(zendlval));
		new_str = zend_string_init(str, sz, 0);
		if (str != s) {
			efree(str);
		}
		zend_string_release_ex(Z_STR_P(zendlval), 0);
		ZVAL_STR(zendlval, new_str);
	}
	RETURN_TOKEN_WITH_VAL(T_CONSTANT_ENCAPSED_STRING);
}
#line 1832 "Zend/zend_language_scanner.c"
yy18:
		YYDEBUG(18, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy87;
					if (yych >= ' ') goto yy87;
				} else {
					if (yych <= '@') goto yy19;
					if (yych != 'C') goto yy87;
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy87;
					if (yych >= 'I') goto yy87;
				} else {
					if (yych == 'O') goto yy87;
					if (yych >= 'R') goto yy87;
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'b') {
					if (yych == 'U') goto yy87;
					if (yych >= 'a') goto yy87;
				} else {
					if (yych == 'd') goto yy87;
					if (yych >= 'f') goto yy87;
				}
			} else {
				if (yych <= 'o') {
					if (yych == 'i') goto yy87;
					if (yych >= 'o') goto yy87;
				} else {
					if (yych <= 's') {
						if (yych >= 'r') goto yy87;
					} else {
						if (yych == 'u') goto yy87;
					}
				}
			}
		}
yy19:
		YYDEBUG(19, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1870 "Zend/zend_language_scanner.l"
		{
	enter_nesting(yytext[0]);
	RETURN_TOKEN(yytext[0]);
}
#line 1885 "Zend/zend_language_scanner.c"
yy20:
		YYDEBUG(20, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(21, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1865 "Zend/zend_language_scanner.l"
		{
	/* Check that ] and ) match up properly with a preceding [ or ( */
	RETURN_EXIT_NESTING_TOKEN(yytext[0]);
}
#line 1896 "Zend/zend_language_scanner.c"
yy22:
		YYDEBUG(22, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '*') goto yy98;
		if (yych == '=') goto yy100;
		goto yy8;
yy23:
		YYDEBUG(23, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '+') goto yy102;
		if (yych == '=') goto yy104;
		goto yy8;
yy24:
		YYDEBUG(24, *YYCURSOR);
		++YYCURSOR;
		goto yy8;
yy25:
		YYDEBUG(25, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') {
			if (yych == '-') goto yy106;
			goto yy8;
		} else {
			if (yych <= '=') goto yy108;
			if (yych <= '>') goto yy110;
			goto yy8;
		}
yy26:
		YYDEBUG(26, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') {
			if (yych == '.') goto yy112;
			goto yy8;
		} else {
			if (yych <= '9') goto yy113;
			if (yych == '=') goto yy116;
			goto yy8;
		}
yy27:
		YYDEBUG(27, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '.') {
			if (yych == '*') goto yy118;
			goto yy8;
		} else {
			if (yych <= '/') goto yy120;
			if (yych == '=') goto yy121;
			goto yy8;
		}
yy28:
		YYDEBUG(28, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'X') {
			if (yych == 'B') goto yy124;
			if (yych <= 'W') goto yy31;
			goto yy126;
		} else {
			if (yych <= 'b') {
				if (yych <= 'a') goto yy31;
				goto yy124;
			} else {
				if (yych == 'x') goto yy126;
				goto yy31;
			}
		}
yy29:
		YYDEBUG(29, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1959 "Zend/zend_language_scanner.l"
		{
	size_t len = yyleng;
	char *end, *lnum = yytext;
	zend_bool is_octal = lnum[0] == '0';
	zend_bool contains_underscores = (memchr(lnum, '_', len) != NULL);

	if (contains_underscores) {
		lnum = estrndup(lnum, len);
		strip_underscores(lnum, &len);
	}

	/* Digits 8 and 9 are illegal in octal literals. */
	if (is_octal) {
		size_t i;
		for (i = 0; i < len; i++) {
			if (lnum[i] == '8' || lnum[i] == '9') {
				zend_throw_exception(zend_ce_parse_error, "Invalid numeric literal", 0);
				if (PARSER_MODE()) {
					if (contains_underscores) {
						efree(lnum);
					}
					ZVAL_UNDEF(zendlval);
					RETURN_TOKEN(T_ERROR);
				}

				/* Continue in order to determine if this is T_LNUMBER or T_DNUMBER. */
				len = i;
				break;
			}
		}
	}


	if (len < MAX_LENGTH_OF_LONG - 1) { /* Won't overflow */
		errno = 0;
		/* base must be passed explicitly for correct parse error on Windows */
		ZVAL_LONG(zendlval, ZEND_STRTOL(lnum, &end, is_octal ? 8 : 10));
		ZEND_ASSERT(end == lnum + len);
	} else {
		errno = 0;
		ZVAL_LONG(zendlval, ZEND_STRTOL(lnum, &end, 0));
		if (errno == ERANGE) { /* Overflow */
			errno = 0;
			if (is_octal) { /* octal overflow */
				ZVAL_DOUBLE(zendlval, zend_oct_strtod(lnum, (const char **)&end));
			} else {
				ZVAL_DOUBLE(zendlval, zend_strtod(lnum, (const char **)&end));
			}
			ZEND_ASSERT(end == lnum + len);
			if (contains_underscores) {
				efree(lnum);
			}
			RETURN_TOKEN_WITH_VAL(T_DNUMBER);
		}
		ZEND_ASSERT(end == lnum + len);
	}
	ZEND_ASSERT(!errno);
	if (contains_underscores) {
		efree(lnum);
	}
	RETURN_TOKEN_WITH_VAL(T_LNUMBER);
}
#line 2030 "Zend/zend_language_scanner.c"
yy30:
		YYDEBUG(30, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy31:
		YYDEBUG(31, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy30;
		}
		if (yych <= 'E') {
			if (yych == '.') goto yy123;
			if (yych <= 'D') goto yy29;
			goto yy125;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy29;
				goto yy127;
			} else {
				if (yych == 'e') goto yy125;
				goto yy29;
			}
		}
yy32:
		YYDEBUG(32, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == ':') goto yy128;
		goto yy8;
yy33:
		YYDEBUG(33, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= ';') goto yy8;
		if (yych <= '<') goto yy130;
		if (yych <= '=') goto yy132;
		if (yych <= '>') goto yy134;
		goto yy8;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy8;
		if (yych <= '=') goto yy135;
		if (yych <= '>') goto yy137;
		goto yy8;
yy35:
		YYDEBUG(35, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy8;
		if (yych <= '=') goto yy139;
		if (yych <= '>') goto yy141;
		goto yy8;
yy36:
		YYDEBUG(36, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych == '-') goto yy143;
			goto yy8;
		} else {
			if (yych <= '>') goto yy144;
			if (yych <= '?') goto yy146;
			goto yy8;
		}
yy37:
		YYDEBUG(37, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'M') {
				if (yych == 'B') goto yy148;
				goto yy46;
			} else {
				if (yych <= 'N') goto yy149;
				if (yych <= 'Q') goto yy46;
				if (yych <= 'R') goto yy150;
				goto yy151;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'b') goto yy148;
				if (yych <= 'm') goto yy46;
				goto yy149;
			} else {
				if (yych <= 'q') goto yy46;
				if (yych <= 'r') goto yy150;
				if (yych <= 's') goto yy151;
				goto yy46;
			}
		}
yy38:
		YYDEBUG(38, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2307 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_STRING, 0);
}
#line 2127 "Zend/zend_language_scanner.c"
yy39:
		YYDEBUG(39, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') {
			if (yych <= '"') {
				if (yych <= '!') goto yy46;
				goto yy9;
			} else {
				if (yych == '\'') goto yy16;
				goto yy46;
			}
		} else {
			if (yych <= 'R') {
				if (yych <= '<') goto yy154;
				if (yych <= 'Q') goto yy46;
				goto yy155;
			} else {
				if (yych == 'r') goto yy155;
				goto yy46;
			}
		}
yy40:
		YYDEBUG(40, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych <= 'K') {
				if (yych == 'A') goto yy156;
				goto yy46;
			} else {
				if (yych <= 'L') goto yy157;
				if (yych <= 'N') goto yy46;
				goto yy158;
			}
		} else {
			if (yych <= 'k') {
				if (yych == 'a') goto yy156;
				goto yy46;
			} else {
				if (yych <= 'l') goto yy157;
				if (yych == 'o') goto yy158;
				goto yy46;
			}
		}
yy41:
		YYDEBUG(41, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych <= 'H') {
				if (yych == 'E') goto yy159;
				goto yy46;
			} else {
				if (yych <= 'I') goto yy160;
				if (yych <= 'N') goto yy46;
				goto yy161;
			}
		} else {
			if (yych <= 'h') {
				if (yych == 'e') goto yy159;
				goto yy46;
			} else {
				if (yych <= 'i') goto yy160;
				if (yych == 'o') goto yy161;
				goto yy46;
			}
		}
yy42:
		YYDEBUG(42, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		switch (yych) {
		case 'C':
		case 'c':	goto yy163;
		case 'L':
		case 'l':	goto yy164;
		case 'M':
		case 'm':	goto yy165;
		case 'N':
		case 'n':	goto yy166;
		case 'V':
		case 'v':	goto yy167;
		case 'X':
		case 'x':	goto yy168;
		default:	goto yy46;
		}
yy43:
		YYDEBUG(43, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'U') {
			if (yych <= 'M') {
				if (yych == 'I') goto yy169;
				goto yy46;
			} else {
				if (yych <= 'N') goto yy170;
				if (yych <= 'O') goto yy172;
				if (yych <= 'T') goto yy46;
				goto yy173;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'i') goto yy169;
				if (yych <= 'm') goto yy46;
				goto yy170;
			} else {
				if (yych <= 'o') goto yy172;
				if (yych == 'u') goto yy173;
				goto yy46;
			}
		}
yy44:
		YYDEBUG(44, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == 'L') goto yy174;
			if (yych <= 'N') goto yy46;
			goto yy175;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy46;
				goto yy174;
			} else {
				if (yych == 'o') goto yy175;
				goto yy46;
			}
		}
yy45:
		YYDEBUG(45, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy46:
		YYDEBUG(46, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
		goto yy38;
yy47:
		YYDEBUG(47, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'L') {
				if (yych == 'F') goto yy176;
				goto yy46;
			} else {
				if (yych <= 'M') goto yy178;
				if (yych <= 'N') goto yy179;
				if (yych <= 'R') goto yy46;
				goto yy180;
			}
		} else {
			if (yych <= 'm') {
				if (yych == 'f') goto yy176;
				if (yych <= 'l') goto yy46;
				goto yy178;
			} else {
				if (yych <= 'n') goto yy179;
				if (yych == 's') goto yy180;
				goto yy46;
			}
		}
yy48:
		YYDEBUG(48, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy181;
		if (yych == 'i') goto yy181;
		goto yy46;
yy49:
		YYDEBUG(49, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy182;
		if (yych == 'a') goto yy182;
		goto yy46;
yy50:
		YYDEBUG(50, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych == 'A') goto yy183;
			if (yych <= 'D') goto yy46;
			goto yy184;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy46;
				goto yy183;
			} else {
				if (yych == 'e') goto yy184;
				goto yy46;
			}
		}
yy51:
		YYDEBUG(51, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy185;
		if (yych == 'r') goto yy185;
		goto yy46;
yy52:
		YYDEBUG(52, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'U') {
			if (yych == 'R') goto yy187;
			if (yych <= 'T') goto yy46;
			goto yy188;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy46;
				goto yy187;
			} else {
				if (yych == 'u') goto yy188;
				goto yy46;
			}
		}
yy53:
		YYDEBUG(53, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy189;
		if (yych == 'e') goto yy189;
		goto yy46;
yy54:
		YYDEBUG(54, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'W') {
			if (yych == 'T') goto yy190;
			if (yych <= 'V') goto yy46;
			goto yy191;
		} else {
			if (yych <= 't') {
				if (yych <= 's') goto yy46;
				goto yy190;
			} else {
				if (yych == 'w') goto yy191;
				goto yy46;
			}
		}
yy55:
		YYDEBUG(55, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'R') {
			if (yych == 'H') goto yy192;
			if (yych <= 'Q') goto yy46;
			goto yy193;
		} else {
			if (yych <= 'h') {
				if (yych <= 'g') goto yy46;
				goto yy192;
			} else {
				if (yych == 'r') goto yy193;
				goto yy46;
			}
		}
yy56:
		YYDEBUG(56, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych == 'N') goto yy194;
			if (yych <= 'R') goto yy46;
			goto yy195;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy46;
				goto yy194;
			} else {
				if (yych == 's') goto yy195;
				goto yy46;
			}
		}
yy57:
		YYDEBUG(57, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy196;
		if (yych == 'a') goto yy196;
		goto yy46;
yy58:
		YYDEBUG(58, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy197;
		if (yych == 'h') goto yy197;
		goto yy46;
yy59:
		YYDEBUG(59, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy198;
		if (yych == 'o') goto yy198;
		goto yy46;
yy60:
		YYDEBUG(60, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy199;
		if (yych == 'i') goto yy199;
		goto yy46;
yy61:
		YYDEBUG(61, *YYCURSOR);
		++YYCURSOR;
		goto yy19;
yy62:
		YYDEBUG(62, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy63;
			if (yych <= 'Z') goto yy200;
			if (yych >= '_') goto yy200;
		} else {
			if (yych <= '`') goto yy63;
			if (yych <= 'z') goto yy200;
			if (yych >= 0x80) goto yy200;
		}
yy63:
		YYDEBUG(63, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2303 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_NS_SEPARATOR);
}
#line 2459 "Zend/zend_language_scanner.c"
yy64:
		YYDEBUG(64, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy203;
		goto yy8;
yy65:
		YYDEBUG(65, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy205;
		goto yy46;
yy66:
		YYDEBUG(66, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(67, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2672 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_BACKQUOTE);
	RETURN_TOKEN('`');
}
#line 2481 "Zend/zend_language_scanner.c"
yy68:
		YYDEBUG(68, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(69, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1880 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING);
	enter_nesting('{');
	RETURN_TOKEN('{');
}
#line 2493 "Zend/zend_language_scanner.c"
yy70:
		YYDEBUG(70, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy206;
		if (yych == '|') goto yy208;
		goto yy8;
yy71:
		YYDEBUG(71, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(72, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1893 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	if (!zend_stack_is_empty(&SCNG(state_stack))) {
		yy_pop_state();
	}
	RETURN_EXIT_NESTING_TOKEN('}');
}
#line 2513 "Zend/zend_language_scanner.c"
yy73:
		YYDEBUG(73, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy210;
yy74:
		YYDEBUG(74, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1765 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_NOT_EQUAL);
}
#line 2525 "Zend/zend_language_scanner.c"
yy75:
		YYDEBUG(75, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(76, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1409 "Zend/zend_language_scanner.l"
		{
	enter_nesting('[');
	RETURN_TOKEN(T_ATTRIBUTE);
}
#line 2536 "Zend/zend_language_scanner.c"
yy77:
		YYDEBUG(77, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(78, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy77;
			} else {
				if (yych <= '@') goto yy79;
				if (yych <= 'Z') goto yy77;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy77;
			} else {
				if (yych <= 'z') goto yy77;
				if (yych >= 0x80) goto yy77;
			}
		}
yy79:
		YYDEBUG(79, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2269 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 2565 "Zend/zend_language_scanner.c"
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(81, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1809 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_MOD_EQUAL);
}
#line 2575 "Zend/zend_language_scanner.c"
yy82:
		YYDEBUG(82, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(83, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1841 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_BOOLEAN_AND);
}
#line 2585 "Zend/zend_language_scanner.c"
yy84:
		YYDEBUG(84, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(85, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1821 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_AND_EQUAL);
}
#line 2595 "Zend/zend_language_scanner.c"
yy86:
		YYDEBUG(86, *YYCURSOR);
		++YYCURSOR;
		YYFILL(7);
		yych = *YYCURSOR;
yy87:
		YYDEBUG(87, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy86;
		}
		switch (yych) {
		case 'A':
		case 'a':	goto yy89;
		case 'B':
		case 'b':	goto yy90;
		case 'D':
		case 'd':	goto yy91;
		case 'F':
		case 'f':	goto yy92;
		case 'I':
		case 'i':	goto yy93;
		case 'O':
		case 'o':	goto yy94;
		case 'R':
		case 'r':	goto yy95;
		case 'S':
		case 's':	goto yy96;
		case 'U':
		case 'u':	goto yy97;
		default:	goto yy88;
		}
yy88:
		YYDEBUG(88, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 44) {
			if (yyaccept <= 22) {
				if (yyaccept <= 11) {
					if (yyaccept <= 5) {
						if (yyaccept <= 2) {
							if (yyaccept <= 1) {
								if (yyaccept == 0) {
									goto yy19;
								} else {
									goto yy8;
								}
							} else {
								goto yy29;
							}
						} else {
							if (yyaccept <= 4) {
								if (yyaccept == 3) {
									goto yy38;
								} else {
									goto yy115;
								}
							} else {
								goto yy119;
							}
						}
					} else {
						if (yyaccept <= 8) {
							if (yyaccept <= 7) {
								if (yyaccept == 6) {
									goto yy131;
								} else {
									goto yy152;
								}
							} else {
								goto yy162;
							}
						} else {
							if (yyaccept <= 10) {
								if (yyaccept == 9) {
									goto yy171;
								} else {
									goto yy177;
								}
							} else {
								goto yy186;
							}
						}
					}
				} else {
					if (yyaccept <= 17) {
						if (yyaccept <= 14) {
							if (yyaccept <= 13) {
								if (yyaccept == 12) {
									goto yy202;
								} else {
									goto yy230;
								}
							} else {
								goto yy236;
							}
						} else {
							if (yyaccept <= 16) {
								if (yyaccept == 15) {
									goto yy255;
								} else {
									goto yy259;
								}
							} else {
								goto yy271;
							}
						}
					} else {
						if (yyaccept <= 20) {
							if (yyaccept <= 19) {
								if (yyaccept == 18) {
									goto yy281;
								} else {
									goto yy294;
								}
							} else {
								goto yy305;
							}
						} else {
							if (yyaccept == 21) {
								goto yy308;
							} else {
								goto yy310;
							}
						}
					}
				}
			} else {
				if (yyaccept <= 33) {
					if (yyaccept <= 28) {
						if (yyaccept <= 25) {
							if (yyaccept <= 24) {
								if (yyaccept == 23) {
									goto yy313;
								} else {
									goto yy345;
								}
							} else {
								goto yy354;
							}
						} else {
							if (yyaccept <= 27) {
								if (yyaccept == 26) {
									goto yy356;
								} else {
									goto yy364;
								}
							} else {
								goto yy366;
							}
						}
					} else {
						if (yyaccept <= 31) {
							if (yyaccept <= 30) {
								if (yyaccept == 29) {
									goto yy373;
								} else {
									goto yy380;
								}
							} else {
								goto yy429;
							}
						} else {
							if (yyaccept == 32) {
								goto yy431;
							} else {
								goto yy434;
							}
						}
					}
				} else {
					if (yyaccept <= 39) {
						if (yyaccept <= 36) {
							if (yyaccept <= 35) {
								if (yyaccept == 34) {
									goto yy436;
								} else {
									goto yy438;
								}
							} else {
								goto yy440;
							}
						} else {
							if (yyaccept <= 38) {
								if (yyaccept == 37) {
									goto yy446;
								} else {
									goto yy450;
								}
							} else {
								goto yy455;
							}
						}
					} else {
						if (yyaccept <= 42) {
							if (yyaccept <= 41) {
								if (yyaccept == 40) {
									goto yy465;
								} else {
									goto yy467;
								}
							} else {
								goto yy470;
							}
						} else {
							if (yyaccept == 43) {
								goto yy479;
							} else {
								goto yy481;
							}
						}
					}
				}
			}
		} else {
			if (yyaccept <= 66) {
				if (yyaccept <= 55) {
					if (yyaccept <= 50) {
						if (yyaccept <= 47) {
							if (yyaccept <= 46) {
								if (yyaccept == 45) {
									goto yy483;
								} else {
									goto yy485;
								}
							} else {
								goto yy487;
							}
						} else {
							if (yyaccept <= 49) {
								if (yyaccept == 48) {
									goto yy522;
								} else {
									goto yy525;
								}
							} else {
								goto yy533;
							}
						}
					} else {
						if (yyaccept <= 53) {
							if (yyaccept <= 52) {
								if (yyaccept == 51) {
									goto yy543;
								} else {
									goto yy546;
								}
							} else {
								goto yy548;
							}
						} else {
							if (yyaccept == 54) {
								goto yy550;
							} else {
								goto yy578;
							}
						}
					}
				} else {
					if (yyaccept <= 61) {
						if (yyaccept <= 58) {
							if (yyaccept <= 57) {
								if (yyaccept == 56) {
									goto yy580;
								} else {
									goto yy586;
								}
							} else {
								goto yy588;
							}
						} else {
							if (yyaccept <= 60) {
								if (yyaccept == 59) {
									goto yy590;
								} else {
									goto yy594;
								}
							} else {
								goto yy600;
							}
						}
					} else {
						if (yyaccept <= 64) {
							if (yyaccept <= 63) {
								if (yyaccept == 62) {
									goto yy603;
								} else {
									goto yy607;
								}
							} else {
								goto yy620;
							}
						} else {
							if (yyaccept == 65) {
								goto yy622;
							} else {
								goto yy624;
							}
						}
					}
				}
			} else {
				if (yyaccept <= 77) {
					if (yyaccept <= 72) {
						if (yyaccept <= 69) {
							if (yyaccept <= 68) {
								if (yyaccept == 67) {
									goto yy629;
								} else {
									goto yy631;
								}
							} else {
								goto yy643;
							}
						} else {
							if (yyaccept <= 71) {
								if (yyaccept == 70) {
									goto yy647;
								} else {
									goto yy654;
								}
							} else {
								goto yy659;
							}
						}
					} else {
						if (yyaccept <= 75) {
							if (yyaccept <= 74) {
								if (yyaccept == 73) {
									goto yy661;
								} else {
									goto yy663;
								}
							} else {
								goto yy665;
							}
						} else {
							if (yyaccept == 76) {
								goto yy669;
							} else {
								goto yy675;
							}
						}
					}
				} else {
					if (yyaccept <= 83) {
						if (yyaccept <= 80) {
							if (yyaccept <= 79) {
								if (yyaccept == 78) {
									goto yy677;
								} else {
									goto yy679;
								}
							} else {
								goto yy681;
							}
						} else {
							if (yyaccept <= 82) {
								if (yyaccept == 81) {
									goto yy684;
								} else {
									goto yy691;
								}
							} else {
								goto yy696;
							}
						}
					} else {
						if (yyaccept <= 86) {
							if (yyaccept <= 85) {
								if (yyaccept == 84) {
									goto yy704;
								} else {
									goto yy706;
								}
							} else {
								goto yy708;
							}
						} else {
							if (yyaccept == 87) {
								goto yy713;
							} else {
								goto yy716;
							}
						}
					}
				}
			}
		}
yy89:
		YYDEBUG(89, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy212;
		if (yych == 'r') goto yy212;
		goto yy88;
yy90:
		YYDEBUG(90, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy213;
			if (yych <= 'N') goto yy88;
			goto yy214;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy88;
				goto yy213;
			} else {
				if (yych == 'o') goto yy214;
				goto yy88;
			}
		}
yy91:
		YYDEBUG(91, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy215;
		if (yych == 'o') goto yy215;
		goto yy88;
yy92:
		YYDEBUG(92, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy216;
		if (yych == 'l') goto yy216;
		goto yy88;
yy93:
		YYDEBUG(93, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy217;
		if (yych == 'n') goto yy217;
		goto yy88;
yy94:
		YYDEBUG(94, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy218;
		if (yych == 'b') goto yy218;
		goto yy88;
yy95:
		YYDEBUG(95, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy219;
		if (yych == 'e') goto yy219;
		goto yy88;
yy96:
		YYDEBUG(96, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy220;
		if (yych == 't') goto yy220;
		goto yy88;
yy97:
		YYDEBUG(97, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy221;
		if (yych == 'n') goto yy221;
		goto yy88;
yy98:
		YYDEBUG(98, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy222;
		YYDEBUG(99, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1793 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_POW);
}
#line 3057 "Zend/zend_language_scanner.c"
yy100:
		YYDEBUG(100, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(101, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1789 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_MUL_EQUAL);
}
#line 3067 "Zend/zend_language_scanner.c"
yy102:
		YYDEBUG(102, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(103, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1745 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_INC);
}
#line 3077 "Zend/zend_language_scanner.c"
yy104:
		YYDEBUG(104, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(105, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1781 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_PLUS_EQUAL);
}
#line 3087 "Zend/zend_language_scanner.c"
yy106:
		YYDEBUG(106, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(107, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1749 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_DEC);
}
#line 3097 "Zend/zend_language_scanner.c"
yy108:
		YYDEBUG(108, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(109, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1785 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_MINUS_EQUAL);
}
#line 3107 "Zend/zend_language_scanner.c"
yy110:
		YYDEBUG(110, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(111, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1560 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN(T_OBJECT_OPERATOR);
}
#line 3118 "Zend/zend_language_scanner.c"
yy112:
		YYDEBUG(112, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '.') goto yy224;
		goto yy88;
yy113:
		YYDEBUG(113, *YYCURSOR);
		yyaccept = 4;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy114:
		YYDEBUG(114, *YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '/') goto yy115;
			if (yych <= '9') goto yy113;
			if (yych >= 'E') goto yy125;
		} else {
			if (yych <= '_') {
				if (yych >= '_') goto yy226;
			} else {
				if (yych == 'e') goto yy125;
			}
		}
yy115:
		YYDEBUG(115, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2089 "Zend/zend_language_scanner.l"
		{
	const char *end;
	size_t len = yyleng;
	char *dnum = yytext;
	zend_bool contains_underscores = (memchr(dnum, '_', len) != NULL);

	if (contains_underscores) {
		dnum = estrndup(dnum, len);
		strip_underscores(dnum, &len);
	}

	ZVAL_DOUBLE(zendlval, zend_strtod(dnum, &end));
	/* errno isn't checked since we allow HUGE_VAL/INF overflow */
	ZEND_ASSERT(end == dnum + len);
	if (contains_underscores) {
		efree(dnum);
	}
	RETURN_TOKEN_WITH_VAL(T_DNUMBER);
}
#line 3166 "Zend/zend_language_scanner.c"
yy116:
		YYDEBUG(116, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(117, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1805 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_CONCAT_EQUAL);
}
#line 3176 "Zend/zend_language_scanner.c"
yy118:
		YYDEBUG(118, *YYCURSOR);
		yyaccept = 5;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '*') goto yy227;
yy119:
		YYDEBUG(119, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2336 "Zend/zend_language_scanner.l"
		{
	int doc_com;

	if (yyleng > 2) {
		doc_com = 1;
		RESET_DOC_COMMENT();
	} else {
		doc_com = 0;
	}

	while (YYCURSOR < YYLIMIT) {
		if (*YYCURSOR++ == '*' && *YYCURSOR == '/') {
			break;
		}
	}

	if (YYCURSOR < YYLIMIT) {
		YYCURSOR++;
	} else {
		zend_throw_exception_ex(zend_ce_parse_error, 0, "Unterminated comment starting line %d", CG(zend_lineno));
		if (PARSER_MODE()) {
			RETURN_TOKEN(T_ERROR);
		}
	}

	yyleng = YYCURSOR - SCNG(yy_text);
	HANDLE_NEWLINES(yytext, yyleng);

	if (doc_com) {
		CG(doc_comment) = zend_string_init(yytext, yyleng, 0);
		RETURN_OR_SKIP_TOKEN(T_DOC_COMMENT);
	}

	RETURN_OR_SKIP_TOKEN(T_COMMENT);
}
#line 3221 "Zend/zend_language_scanner.c"
yy120:
		YYDEBUG(120, *YYCURSOR);
		++YYCURSOR;
		goto yy12;
yy121:
		YYDEBUG(121, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(122, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1801 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_DIV_EQUAL);
}
#line 3235 "Zend/zend_language_scanner.c"
yy123:
		YYDEBUG(123, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy115;
		goto yy114;
yy124:
		YYDEBUG(124, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy228;
		}
		goto yy88;
yy125:
		YYDEBUG(125, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= ',') {
			if (yych == '+') goto yy231;
			goto yy88;
		} else {
			if (yych <= '-') goto yy231;
			if (yych <= '/') goto yy88;
			if (yych <= '9') goto yy232;
			goto yy88;
		}
yy126:
		YYDEBUG(126, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy234;
		}
		goto yy88;
yy127:
		YYDEBUG(127, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy30;
		}
		goto yy88;
yy128:
		YYDEBUG(128, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(129, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1593 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_PAAMAYIM_NEKUDOTAYIM);
}
#line 3290 "Zend/zend_language_scanner.c"
yy130:
		YYDEBUG(130, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') goto yy131;
		if (yych <= '<') goto yy237;
		if (yych <= '=') goto yy239;
yy131:
		YYDEBUG(131, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1857 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_SL);
}
#line 3305 "Zend/zend_language_scanner.c"
yy132:
		YYDEBUG(132, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy241;
		YYDEBUG(133, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1773 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_SMALLER_OR_EQUAL);
}
#line 3316 "Zend/zend_language_scanner.c"
yy134:
		YYDEBUG(134, *YYCURSOR);
		++YYCURSOR;
		goto yy74;
yy135:
		YYDEBUG(135, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy243;
		YYDEBUG(136, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1761 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_EQUAL);
}
#line 3331 "Zend/zend_language_scanner.c"
yy137:
		YYDEBUG(137, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(138, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1729 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_DOUBLE_ARROW);
}
#line 3341 "Zend/zend_language_scanner.c"
yy139:
		YYDEBUG(139, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(140, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1777 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_GREATER_OR_EQUAL);
}
#line 3351 "Zend/zend_language_scanner.c"
yy141:
		YYDEBUG(141, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy245;
		YYDEBUG(142, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1861 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_SR);
}
#line 3362 "Zend/zend_language_scanner.c"
yy143:
		YYDEBUG(143, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy247;
		goto yy88;
yy144:
		YYDEBUG(144, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy249;
		if (yych == '\r') goto yy250;
yy145:
		YYDEBUG(145, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2372 "Zend/zend_language_scanner.l"
		{
	BEGIN(INITIAL);
	if (yytext[yyleng-1] != '>') {
		CG(increment_lineno) = 1;
	}
	if (PARSER_MODE()) {
		RETURN_TOKEN(';');  /* implicit ';' at php-end tag */
	}
	RETURN_TOKEN(T_CLOSE_TAG);
}
#line 3387 "Zend/zend_language_scanner.c"
yy146:
		YYDEBUG(146, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy251;
		YYDEBUG(147, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1601 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_COALESCE);
}
#line 3398 "Zend/zend_language_scanner.c"
yy148:
		YYDEBUG(148, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy253;
		if (yych == 's') goto yy253;
		goto yy46;
yy149:
		YYDEBUG(149, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy254;
		if (yych == 'd') goto yy254;
		goto yy46;
yy150:
		YYDEBUG(150, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy256;
		if (yych == 'r') goto yy256;
		goto yy46;
yy151:
		YYDEBUG(151, *YYCURSOR);
		yyaccept = 7;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy152:
		YYDEBUG(152, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1496 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_AS);
}
#line 3435 "Zend/zend_language_scanner.c"
yy153:
		YYDEBUG(153, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy88;
			if (yych <= 'Z') goto yy257;
			if (yych <= '^') goto yy88;
			goto yy257;
		} else {
			if (yych <= '`') goto yy88;
			if (yych <= 'z') goto yy257;
			if (yych <= 0x7F) goto yy88;
			goto yy257;
		}
yy154:
		YYDEBUG(154, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy260;
		goto yy88;
yy155:
		YYDEBUG(155, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy261;
		if (yych == 'e') goto yy261;
		goto yy46;
yy156:
		YYDEBUG(156, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'T') {
			if (yych <= 'L') {
				if (yych <= 'K') goto yy46;
				goto yy262;
			} else {
				if (yych <= 'R') goto yy46;
				if (yych <= 'S') goto yy263;
				goto yy264;
			}
		} else {
			if (yych <= 'r') {
				if (yych == 'l') goto yy262;
				goto yy46;
			} else {
				if (yych <= 's') goto yy263;
				if (yych <= 't') goto yy264;
				goto yy46;
			}
		}
yy157:
		YYDEBUG(157, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == 'A') goto yy265;
			if (yych <= 'N') goto yy46;
			goto yy266;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy46;
				goto yy265;
			} else {
				if (yych == 'o') goto yy266;
				goto yy46;
			}
		}
yy158:
		YYDEBUG(158, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy267;
		if (yych == 'n') goto yy267;
		goto yy46;
yy159:
		YYDEBUG(159, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'F') {
			if (yych == 'C') goto yy268;
			if (yych <= 'E') goto yy46;
			goto yy269;
		} else {
			if (yych <= 'c') {
				if (yych <= 'b') goto yy46;
				goto yy268;
			} else {
				if (yych == 'f') goto yy269;
				goto yy46;
			}
		}
yy160:
		YYDEBUG(160, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy270;
		if (yych == 'e') goto yy270;
		goto yy46;
yy161:
		YYDEBUG(161, *YYCURSOR);
		yyaccept = 8;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy162:
		YYDEBUG(162, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1464 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_DO);
}
#line 3550 "Zend/zend_language_scanner.c"
yy163:
		YYDEBUG(163, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy272;
		if (yych == 'h') goto yy272;
		goto yy46;
yy164:
		YYDEBUG(164, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy273;
		if (yych == 's') goto yy273;
		goto yy46;
yy165:
		YYDEBUG(165, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'P') goto yy274;
		if (yych == 'p') goto yy274;
		goto yy46;
yy166:
		YYDEBUG(166, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy275;
		if (yych == 'd') goto yy275;
		goto yy46;
yy167:
		YYDEBUG(167, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy276;
		if (yych == 'a') goto yy276;
		goto yy46;
yy168:
		YYDEBUG(168, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'T') {
			if (yych == 'I') goto yy277;
			if (yych <= 'S') goto yy46;
			goto yy278;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy46;
				goto yy277;
			} else {
				if (yych == 't') goto yy278;
				goto yy46;
			}
		}
yy169:
		YYDEBUG(169, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy279;
		if (yych == 'n') goto yy279;
		goto yy46;
yy170:
		YYDEBUG(170, *YYCURSOR);
		yyaccept = 9;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy171:
		YYDEBUG(171, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1393 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FN);
}
#line 3625 "Zend/zend_language_scanner.c"
yy172:
		YYDEBUG(172, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy280;
		if (yych == 'r') goto yy280;
		goto yy46;
yy173:
		YYDEBUG(173, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy282;
		if (yych == 'n') goto yy282;
		goto yy46;
yy174:
		YYDEBUG(174, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy283;
		if (yych == 'o') goto yy283;
		goto yy46;
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy284;
		if (yych == 't') goto yy284;
		goto yy46;
yy176:
		YYDEBUG(176, *YYCURSOR);
		yyaccept = 10;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy177:
		YYDEBUG(177, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1440 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_IF);
}
#line 3669 "Zend/zend_language_scanner.c"
yy178:
		YYDEBUG(178, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'P') goto yy285;
		if (yych == 'p') goto yy285;
		goto yy46;
yy179:
		YYDEBUG(179, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'T') {
			if (yych <= 'C') {
				if (yych <= 'B') goto yy46;
				goto yy286;
			} else {
				if (yych <= 'R') goto yy46;
				if (yych <= 'S') goto yy287;
				goto yy288;
			}
		} else {
			if (yych <= 'r') {
				if (yych == 'c') goto yy286;
				goto yy46;
			} else {
				if (yych <= 's') goto yy287;
				if (yych <= 't') goto yy288;
				goto yy46;
			}
		}
yy180:
		YYDEBUG(180, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy289;
		if (yych == 's') goto yy289;
		goto yy46;
yy181:
		YYDEBUG(181, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy290;
		if (yych == 's') goto yy290;
		goto yy46;
yy182:
		YYDEBUG(182, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy291;
		if (yych == 't') goto yy291;
		goto yy46;
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'M') goto yy292;
		if (yych == 'm') goto yy292;
		goto yy46;
yy184:
		YYDEBUG(184, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'W') goto yy293;
		if (yych == 'w') goto yy293;
		goto yy46;
yy185:
		YYDEBUG(185, *YYCURSOR);
		yyaccept = 11;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy186:
		YYDEBUG(186, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1845 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_LOGICAL_OR);
}
#line 3750 "Zend/zend_language_scanner.c"
yy187:
		YYDEBUG(187, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == 'I') goto yy295;
			if (yych <= 'N') goto yy46;
			goto yy296;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy46;
				goto yy295;
			} else {
				if (yych == 'o') goto yy296;
				goto yy46;
			}
		}
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'B') goto yy297;
		if (yych == 'b') goto yy297;
		goto yy46;
yy189:
		YYDEBUG(189, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'T') {
			if (yych == 'Q') goto yy298;
			if (yych <= 'S') goto yy46;
			goto yy299;
		} else {
			if (yych <= 'q') {
				if (yych <= 'p') goto yy46;
				goto yy298;
			} else {
				if (yych == 't') goto yy299;
				goto yy46;
			}
		}
yy190:
		YYDEBUG(190, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy300;
		if (yych == 'a') goto yy300;
		goto yy46;
yy191:
		YYDEBUG(191, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy301;
		if (yych == 'i') goto yy301;
		goto yy46;
yy192:
		YYDEBUG(192, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy302;
		if (yych == 'r') goto yy302;
		goto yy46;
yy193:
		YYDEBUG(193, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'Y') {
			if (yych == 'A') goto yy303;
			if (yych <= 'X') goto yy46;
			goto yy304;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy46;
				goto yy303;
			} else {
				if (yych == 'y') goto yy304;
				goto yy46;
			}
		}
yy194:
		YYDEBUG(194, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy306;
		if (yych == 's') goto yy306;
		goto yy46;
yy195:
		YYDEBUG(195, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy307;
		if (yych == 'e') goto yy307;
		goto yy46;
yy196:
		YYDEBUG(196, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy309;
		if (yych == 'r') goto yy309;
		goto yy46;
yy197:
		YYDEBUG(197, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy311;
		if (yych == 'i') goto yy311;
		goto yy46;
yy198:
		YYDEBUG(198, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy312;
		if (yych == 'r') goto yy312;
		goto yy46;
yy199:
		YYDEBUG(199, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy314;
		if (yych == 'e') goto yy314;
		goto yy46;
yy200:
		YYDEBUG(200, *YYCURSOR);
		yyaccept = 12;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(201, *YYCURSOR);
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych <= '/') goto yy202;
				if (yych <= '9') goto yy200;
			} else {
				if (yych <= 'Z') goto yy200;
				if (yych >= '\\') goto yy315;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy200;
			} else {
				if (yych <= 'z') goto yy200;
				if (yych >= 0x80) goto yy200;
			}
		}
yy202:
		YYDEBUG(202, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2299 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_NAME_FULLY_QUALIFIED, 1);
}
#line 3902 "Zend/zend_language_scanner.c"
yy203:
		YYDEBUG(203, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(204, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1829 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_XOR_EQUAL);
}
#line 3912 "Zend/zend_language_scanner.c"
yy205:
		YYDEBUG(205, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		switch (yych) {
		case 'C':
		case 'c':	goto yy316;
		case 'D':
		case 'd':	goto yy317;
		case 'F':
		case 'f':	goto yy318;
		case 'H':
		case 'h':	goto yy319;
		case 'L':
		case 'l':	goto yy320;
		case 'M':
		case 'm':	goto yy321;
		case 'N':
		case 'n':	goto yy322;
		case 'T':
		case 't':	goto yy323;
		default:	goto yy46;
		}
yy206:
		YYDEBUG(206, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(207, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1825 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_OR_EQUAL);
}
#line 3945 "Zend/zend_language_scanner.c"
yy208:
		YYDEBUG(208, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(209, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1837 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_BOOLEAN_OR);
}
#line 3955 "Zend/zend_language_scanner.c"
yy210:
		YYDEBUG(210, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(211, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1757 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_NOT_IDENTICAL);
}
#line 3965 "Zend/zend_language_scanner.c"
yy212:
		YYDEBUG(212, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy324;
		if (yych == 'r') goto yy324;
		goto yy88;
yy213:
		YYDEBUG(213, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy325;
		if (yych == 'n') goto yy325;
		goto yy88;
yy214:
		YYDEBUG(214, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy326;
		if (yych == 'o') goto yy326;
		goto yy88;
yy215:
		YYDEBUG(215, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy327;
		if (yych == 'u') goto yy327;
		goto yy88;
yy216:
		YYDEBUG(216, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy328;
		if (yych == 'o') goto yy328;
		goto yy88;
yy217:
		YYDEBUG(217, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy329;
		if (yych == 't') goto yy329;
		goto yy88;
yy218:
		YYDEBUG(218, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'J') goto yy330;
		if (yych == 'j') goto yy330;
		goto yy88;
yy219:
		YYDEBUG(219, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy331;
		if (yych == 'a') goto yy331;
		goto yy88;
yy220:
		YYDEBUG(220, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy332;
		if (yych == 'r') goto yy332;
		goto yy88;
yy221:
		YYDEBUG(221, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy333;
		if (yych == 's') goto yy333;
		goto yy88;
yy222:
		YYDEBUG(222, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(223, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1797 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_POW_EQUAL);
}
#line 4035 "Zend/zend_language_scanner.c"
yy224:
		YYDEBUG(224, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(225, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1597 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_ELLIPSIS);
}
#line 4045 "Zend/zend_language_scanner.c"
yy226:
		YYDEBUG(226, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '/') goto yy88;
		if (yych <= '9') goto yy113;
		goto yy88;
yy227:
		YYDEBUG(227, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy88;
			if (yych <= '\n') goto yy334;
			goto yy88;
		} else {
			if (yych <= '\r') goto yy334;
			if (yych == ' ') goto yy334;
			goto yy88;
		}
yy228:
		YYDEBUG(228, *YYCURSOR);
		yyaccept = 13;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(229, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy228;
		}
		if (yych == '_') goto yy124;
yy230:
		YYDEBUG(230, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1917 "Zend/zend_language_scanner.l"
		{
	/* The +/- 2 skips "0b" */
	size_t len = yyleng - 2;
	char *end, *bin = yytext + 2;
	zend_bool contains_underscores;

	/* Skip any leading 0s */
	while (len > 0 && (*bin == '0' || *bin == '_')) {
		++bin;
		--len;
	}

	contains_underscores = (memchr(bin, '_', len) != NULL);

	if (contains_underscores) {
		bin = estrndup(bin, len);
		strip_underscores(bin, &len);
	}

	if (len < SIZEOF_ZEND_LONG * 8) {
		if (len == 0) {
			ZVAL_LONG(zendlval, 0);
		} else {
			errno = 0;
			ZVAL_LONG(zendlval, ZEND_STRTOL(bin, &end, 2));
			ZEND_ASSERT(!errno && end == bin + len);
		}
		if (contains_underscores) {
			efree(bin);
		}
		RETURN_TOKEN_WITH_VAL(T_LNUMBER);
	} else {
		ZVAL_DOUBLE(zendlval, zend_bin_strtod(bin, (const char **)&end));
		/* errno isn't checked since we allow HUGE_VAL/INF overflow */
		ZEND_ASSERT(end == bin + len);
		if (contains_underscores) {
			efree(bin);
		}
		RETURN_TOKEN_WITH_VAL(T_DNUMBER);
	}
}
#line 4122 "Zend/zend_language_scanner.c"
yy231:
		YYDEBUG(231, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '/') goto yy88;
		if (yych >= ':') goto yy88;
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyaccept = 4;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(233, *YYCURSOR);
		if (yych <= '/') goto yy115;
		if (yych <= '9') goto yy232;
		if (yych == '_') goto yy231;
		goto yy115;
yy234:
		YYDEBUG(234, *YYCURSOR);
		yyaccept = 14;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(235, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy234;
		}
		if (yych == '_') goto yy126;
yy236:
		YYDEBUG(236, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2022 "Zend/zend_language_scanner.l"
		{
	/* The +/- 2 skips "0x" */
	size_t len = yyleng - 2;
	char *end, *hex = yytext + 2;
	zend_bool contains_underscores;

	/* Skip any leading 0s */
	while (len > 0 && (*hex == '0' || *hex == '_')) {
		++hex;
		--len;
	}

	contains_underscores = (memchr(hex, '_', len) != NULL);

	if (contains_underscores) {
		hex = estrndup(hex, len);
		strip_underscores(hex, &len);
	}

	if (len < SIZEOF_ZEND_LONG * 2 || (len == SIZEOF_ZEND_LONG * 2 && *hex <= '7')) {
		if (len == 0) {
			ZVAL_LONG(zendlval, 0);
		} else {
			errno = 0;
			ZVAL_LONG(zendlval, ZEND_STRTOL(hex, &end, 16));
			ZEND_ASSERT(!errno && end == hex + len);
		}
		if (contains_underscores) {
			efree(hex);
		}
		RETURN_TOKEN_WITH_VAL(T_LNUMBER);
	} else {
		ZVAL_DOUBLE(zendlval, zend_hex_strtod(hex, (const char **)&end));
		/* errno isn't checked since we allow HUGE_VAL/INF overflow */
		ZEND_ASSERT(end == hex + len);
		if (contains_underscores) {
			efree(hex);
		}
		RETURN_TOKEN_WITH_VAL(T_DNUMBER);
	}
}
#line 4197 "Zend/zend_language_scanner.c"
yy237:
		YYDEBUG(237, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(238, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy237;
				if (yych <= 0x1F) goto yy88;
				goto yy237;
			} else {
				if (yych == '"') goto yy336;
				if (yych <= '&') goto yy88;
				goto yy337;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') goto yy88;
				if (yych <= 'Z') goto yy338;
				if (yych <= '^') goto yy88;
				goto yy338;
			} else {
				if (yych <= '`') goto yy88;
				if (yych <= 'z') goto yy338;
				if (yych <= 0x7F) goto yy88;
				goto yy338;
			}
		}
yy239:
		YYDEBUG(239, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(240, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1813 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_SL_EQUAL);
}
#line 4236 "Zend/zend_language_scanner.c"
yy241:
		YYDEBUG(241, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(242, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1769 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_SPACESHIP);
}
#line 4246 "Zend/zend_language_scanner.c"
yy243:
		YYDEBUG(243, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(244, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1753 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_IS_IDENTICAL);
}
#line 4256 "Zend/zend_language_scanner.c"
yy245:
		YYDEBUG(245, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(246, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1817 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_SR_EQUAL);
}
#line 4266 "Zend/zend_language_scanner.c"
yy247:
		YYDEBUG(247, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(248, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1565 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN(T_NULLSAFE_OBJECT_OPERATOR);
}
#line 4277 "Zend/zend_language_scanner.c"
yy249:
		YYDEBUG(249, *YYCURSOR);
		++YYCURSOR;
		goto yy145;
yy250:
		YYDEBUG(250, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy249;
		goto yy145;
yy251:
		YYDEBUG(251, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(252, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1833 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_COALESCE_EQUAL);
}
#line 4296 "Zend/zend_language_scanner.c"
yy253:
		YYDEBUG(253, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy340;
		if (yych == 't') goto yy340;
		goto yy46;
yy254:
		YYDEBUG(254, *YYCURSOR);
		yyaccept = 15;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy255:
		YYDEBUG(255, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1849 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_LOGICAL_AND);
}
#line 4319 "Zend/zend_language_scanner.c"
yy256:
		YYDEBUG(256, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy341;
		if (yych == 'a') goto yy341;
		goto yy46;
yy257:
		YYDEBUG(257, *YYCURSOR);
		yyaccept = 16;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(258, *YYCURSOR);
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych <= '/') goto yy259;
				if (yych <= '9') goto yy257;
			} else {
				if (yych <= 'Z') goto yy257;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy257;
			} else {
				if (yych <= 'z') goto yy257;
				if (yych >= 0x80) goto yy257;
			}
		}
yy259:
		YYDEBUG(259, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2295 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_NAME_QUALIFIED, 0);
}
#line 4357 "Zend/zend_language_scanner.c"
yy260:
		YYDEBUG(260, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy237;
		goto yy88;
yy261:
		YYDEBUG(261, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy342;
		if (yych == 'a') goto yy342;
		goto yy46;
yy262:
		YYDEBUG(262, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy343;
		if (yych == 'l') goto yy343;
		goto yy46;
yy263:
		YYDEBUG(263, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy344;
		if (yych == 'e') goto yy344;
		goto yy46;
yy264:
		YYDEBUG(264, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy346;
		if (yych == 'c') goto yy346;
		goto yy46;
yy265:
		YYDEBUG(265, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy347;
		if (yych == 's') goto yy347;
		goto yy46;
yy266:
		YYDEBUG(266, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy348;
		if (yych == 'n') goto yy348;
		goto yy46;
yy267:
		YYDEBUG(267, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'T') {
			if (yych <= 'R') goto yy46;
			if (yych <= 'S') goto yy349;
			goto yy350;
		} else {
			if (yych <= 'r') goto yy46;
			if (yych <= 's') goto yy349;
			if (yych <= 't') goto yy350;
			goto yy46;
		}
yy268:
		YYDEBUG(268, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy351;
		if (yych == 'l') goto yy351;
		goto yy46;
yy269:
		YYDEBUG(269, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy352;
		if (yych == 'a') goto yy352;
		goto yy46;
yy270:
		YYDEBUG(270, *YYCURSOR);
		yyaccept = 17;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy271:
		YYDEBUG(271, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1389 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_EXIT);
}
#line 4448 "Zend/zend_language_scanner.c"
yy272:
		YYDEBUG(272, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy353;
		if (yych == 'o') goto yy353;
		goto yy46;
yy273:
		YYDEBUG(273, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy355;
		if (yych == 'e') goto yy355;
		goto yy46;
yy274:
		YYDEBUG(274, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy357;
		if (yych == 't') goto yy357;
		goto yy46;
yy275:
		YYDEBUG(275, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		switch (yych) {
		case 'D':
		case 'd':	goto yy358;
		case 'F':
		case 'f':	goto yy359;
		case 'I':
		case 'i':	goto yy360;
		case 'S':
		case 's':	goto yy361;
		case 'W':
		case 'w':	goto yy362;
		default:	goto yy46;
		}
yy276:
		YYDEBUG(276, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy363;
		if (yych == 'l') goto yy363;
		goto yy46;
yy277:
		YYDEBUG(277, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy365;
		if (yych == 't') goto yy365;
		goto yy46;
yy278:
		YYDEBUG(278, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy367;
		if (yych == 'e') goto yy367;
		goto yy46;
yy279:
		YYDEBUG(279, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy368;
		if (yych == 'a') goto yy368;
		goto yy46;
yy280:
		YYDEBUG(280, *YYCURSOR);
		yyaccept = 18;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= 'D') {
				if (yych <= '/') goto yy281;
				if (yych <= '9') goto yy45;
				if (yych >= 'A') goto yy45;
			} else {
				if (yych <= 'E') goto yy369;
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= 'd') {
				if (yych == '_') goto yy45;
				if (yych >= 'a') goto yy45;
			} else {
				if (yych <= 'e') goto yy369;
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy281:
		YYDEBUG(281, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1468 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FOR);
}
#line 4546 "Zend/zend_language_scanner.c"
yy282:
		YYDEBUG(282, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy370;
		if (yych == 'c') goto yy370;
		goto yy46;
yy283:
		YYDEBUG(283, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'B') goto yy371;
		if (yych == 'b') goto yy371;
		goto yy46;
yy284:
		YYDEBUG(284, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy372;
		if (yych == 'o') goto yy372;
		goto yy46;
yy285:
		YYDEBUG(285, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy374;
		if (yych == 'l') goto yy374;
		goto yy46;
yy286:
		YYDEBUG(286, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy375;
		if (yych == 'l') goto yy375;
		goto yy46;
yy287:
		YYDEBUG(287, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy376;
		if (yych == 't') goto yy376;
		goto yy46;
yy288:
		YYDEBUG(288, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy377;
		if (yych == 'e') goto yy377;
		goto yy46;
yy289:
		YYDEBUG(289, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy378;
		if (yych == 'e') goto yy378;
		goto yy46;
yy290:
		YYDEBUG(290, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy379;
		if (yych == 't') goto yy379;
		goto yy46;
yy291:
		YYDEBUG(291, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy381;
		if (yych == 'c') goto yy381;
		goto yy46;
yy292:
		YYDEBUG(292, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy382;
		if (yych == 'e') goto yy382;
		goto yy46;
yy293:
		YYDEBUG(293, *YYCURSOR);
		yyaccept = 19;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy294:
		YYDEBUG(294, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1605 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_NEW);
}
#line 4639 "Zend/zend_language_scanner.c"
yy295:
		YYDEBUG(295, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'V') {
			if (yych == 'N') goto yy383;
			if (yych <= 'U') goto yy46;
			goto yy384;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy46;
				goto yy383;
			} else {
				if (yych == 'v') goto yy384;
				goto yy46;
			}
		}
yy296:
		YYDEBUG(296, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy385;
		if (yych == 't') goto yy385;
		goto yy46;
yy297:
		YYDEBUG(297, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy386;
		if (yych == 'l') goto yy386;
		goto yy46;
yy298:
		YYDEBUG(298, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'U') goto yy387;
		if (yych == 'u') goto yy387;
		goto yy46;
yy299:
		YYDEBUG(299, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'U') goto yy388;
		if (yych == 'u') goto yy388;
		goto yy46;
yy300:
		YYDEBUG(300, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy389;
		if (yych == 't') goto yy389;
		goto yy46;
yy301:
		YYDEBUG(301, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy390;
		if (yych == 't') goto yy390;
		goto yy46;
yy302:
		YYDEBUG(302, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy391;
		if (yych == 'o') goto yy391;
		goto yy46;
yy303:
		YYDEBUG(303, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy392;
		if (yych == 'i') goto yy392;
		goto yy46;
yy304:
		YYDEBUG(304, *YYCURSOR);
		yyaccept = 20;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy305:
		YYDEBUG(305, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1424 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_TRY);
}
#line 4728 "Zend/zend_language_scanner.c"
yy306:
		YYDEBUG(306, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy393;
		if (yych == 'e') goto yy393;
		goto yy46;
yy307:
		YYDEBUG(307, *YYCURSOR);
		yyaccept = 21;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy308:
		YYDEBUG(308, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1677 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_USE);
}
#line 4751 "Zend/zend_language_scanner.c"
yy309:
		YYDEBUG(309, *YYCURSOR);
		yyaccept = 22;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy310:
		YYDEBUG(310, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1613 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_VAR);
}
#line 4767 "Zend/zend_language_scanner.c"
yy311:
		YYDEBUG(311, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy394;
		if (yych == 'l') goto yy394;
		goto yy46;
yy312:
		YYDEBUG(312, *YYCURSOR);
		yyaccept = 23;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy313:
		YYDEBUG(313, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1853 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_LOGICAL_XOR);
}
#line 4790 "Zend/zend_language_scanner.c"
yy314:
		YYDEBUG(314, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy395;
		if (yych == 'l') goto yy395;
		goto yy46;
yy315:
		YYDEBUG(315, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy88;
			if (yych <= 'Z') goto yy200;
			if (yych <= '^') goto yy88;
			goto yy200;
		} else {
			if (yych <= '`') goto yy88;
			if (yych <= 'z') goto yy200;
			if (yych <= 0x7F) goto yy88;
			goto yy200;
		}
yy316:
		YYDEBUG(316, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy396;
		if (yych == 'l') goto yy396;
		goto yy46;
yy317:
		YYDEBUG(317, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy397;
		if (yych == 'i') goto yy397;
		goto yy46;
yy318:
		YYDEBUG(318, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'U') {
			if (yych == 'I') goto yy398;
			if (yych <= 'T') goto yy46;
			goto yy399;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy46;
				goto yy398;
			} else {
				if (yych == 'u') goto yy399;
				goto yy46;
			}
		}
yy319:
		YYDEBUG(319, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy400;
		if (yych == 'a') goto yy400;
		goto yy46;
yy320:
		YYDEBUG(320, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy401;
		if (yych == 'i') goto yy401;
		goto yy46;
yy321:
		YYDEBUG(321, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy402;
		if (yych == 'e') goto yy402;
		goto yy46;
yy322:
		YYDEBUG(322, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy403;
		if (yych == 'a') goto yy403;
		goto yy46;
yy323:
		YYDEBUG(323, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy404;
		if (yych == 'r') goto yy404;
		goto yy46;
yy324:
		YYDEBUG(324, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy405;
		if (yych == 'a') goto yy405;
		goto yy88;
yy325:
		YYDEBUG(325, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy406;
		if (yych == 'a') goto yy406;
		goto yy88;
yy326:
		YYDEBUG(326, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy407;
		if (yych == 'l') goto yy407;
		goto yy88;
yy327:
		YYDEBUG(327, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy408;
		if (yych == 'b') goto yy408;
		goto yy88;
yy328:
		YYDEBUG(328, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy409;
		if (yych == 'a') goto yy409;
		goto yy88;
yy329:
		YYDEBUG(329, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy414;
		if (yych == 'e') goto yy414;
		goto yy411;
yy330:
		YYDEBUG(330, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy415;
		if (yych == 'e') goto yy415;
		goto yy88;
yy331:
		YYDEBUG(331, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy416;
		if (yych == 'l') goto yy416;
		goto yy88;
yy332:
		YYDEBUG(332, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy418;
		if (yych == 'i') goto yy418;
		goto yy88;
yy333:
		YYDEBUG(333, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy419;
		if (yych == 'e') goto yy419;
		goto yy88;
yy334:
		YYDEBUG(334, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(335, *YYCURSOR);
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy119;
			if (yych <= '\n') goto yy334;
			goto yy119;
		} else {
			if (yych <= '\r') goto yy334;
			if (yych == ' ') goto yy334;
			goto yy119;
		}
yy336:
		YYDEBUG(336, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy88;
		if (yych <= '/') goto yy421;
		if (yych <= '9') goto yy88;
		goto yy421;
yy337:
		YYDEBUG(337, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\'') goto yy88;
		if (yych <= '/') goto yy423;
		if (yych <= '9') goto yy88;
		goto yy423;
yy338:
		YYDEBUG(338, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(339, *YYCURSOR);
		if (yych <= '@') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy424;
				goto yy88;
			} else {
				if (yych <= '\r') goto yy426;
				if (yych <= '/') goto yy88;
				if (yych <= '9') goto yy338;
				goto yy88;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy338;
				if (yych <= '^') goto yy88;
				goto yy338;
			} else {
				if (yych <= '`') goto yy88;
				if (yych <= 'z') goto yy338;
				if (yych <= 0x7F) goto yy88;
				goto yy338;
			}
		}
yy340:
		YYDEBUG(340, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy427;
		if (yych == 'r') goto yy427;
		goto yy46;
yy341:
		YYDEBUG(341, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'Y') goto yy428;
		if (yych == 'y') goto yy428;
		goto yy46;
yy342:
		YYDEBUG(342, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'K') goto yy430;
		if (yych == 'k') goto yy430;
		goto yy46;
yy343:
		YYDEBUG(343, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy432;
		if (yych == 'a') goto yy432;
		goto yy46;
yy344:
		YYDEBUG(344, *YYCURSOR);
		yyaccept = 24;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy345:
		YYDEBUG(345, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1512 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CASE);
}
#line 5040 "Zend/zend_language_scanner.c"
yy346:
		YYDEBUG(346, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy433;
		if (yych == 'h') goto yy433;
		goto yy46;
yy347:
		YYDEBUG(347, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy435;
		if (yych == 's') goto yy435;
		goto yy46;
yy348:
		YYDEBUG(348, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy437;
		if (yych == 'e') goto yy437;
		goto yy46;
yy349:
		YYDEBUG(349, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy439;
		if (yych == 't') goto yy439;
		goto yy46;
yy350:
		YYDEBUG(350, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy441;
		if (yych == 'i') goto yy441;
		goto yy46;
yy351:
		YYDEBUG(351, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy442;
		if (yych == 'a') goto yy442;
		goto yy46;
yy352:
		YYDEBUG(352, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'U') goto yy443;
		if (yych == 'u') goto yy443;
		goto yy46;
yy353:
		YYDEBUG(353, *YYCURSOR);
		yyaccept = 25;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy354:
		YYDEBUG(354, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1532 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ECHO);
}
#line 5105 "Zend/zend_language_scanner.c"
yy355:
		YYDEBUG(355, *YYCURSOR);
		yyaccept = 26;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= 'H') {
				if (yych <= '/') goto yy356;
				if (yych <= '9') goto yy45;
				if (yych >= 'A') goto yy45;
			} else {
				if (yych <= 'I') goto yy444;
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= 'h') {
				if (yych == '_') goto yy45;
				if (yych >= 'a') goto yy45;
			} else {
				if (yych <= 'i') goto yy444;
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy356:
		YYDEBUG(356, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1452 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ELSE);
}
#line 5137 "Zend/zend_language_scanner.c"
yy357:
		YYDEBUG(357, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'Y') goto yy445;
		if (yych == 'y') goto yy445;
		goto yy46;
yy358:
		YYDEBUG(358, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy447;
		if (yych == 'e') goto yy447;
		goto yy46;
yy359:
		YYDEBUG(359, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy448;
		if (yych == 'o') goto yy448;
		goto yy46;
yy360:
		YYDEBUG(360, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'F') goto yy449;
		if (yych == 'f') goto yy449;
		goto yy46;
yy361:
		YYDEBUG(361, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'W') goto yy451;
		if (yych == 'w') goto yy451;
		goto yy46;
yy362:
		YYDEBUG(362, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy452;
		if (yych == 'h') goto yy452;
		goto yy46;
yy363:
		YYDEBUG(363, *YYCURSOR);
		yyaccept = 27;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy364:
		YYDEBUG(364, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1653 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_EVAL);
}
#line 5195 "Zend/zend_language_scanner.c"
yy365:
		YYDEBUG(365, *YYCURSOR);
		yyaccept = 28;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy366:
		YYDEBUG(366, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1385 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_EXIT);
}
#line 5211 "Zend/zend_language_scanner.c"
yy367:
		YYDEBUG(367, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy453;
		if (yych == 'n') goto yy453;
		goto yy46;
yy368:
		YYDEBUG(368, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy454;
		if (yych == 'l') goto yy454;
		goto yy46;
yy369:
		YYDEBUG(369, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy456;
		if (yych == 'a') goto yy456;
		goto yy46;
yy370:
		YYDEBUG(370, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy457;
		if (yych == 't') goto yy457;
		goto yy46;
yy371:
		YYDEBUG(371, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy458;
		if (yych == 'a') goto yy458;
		goto yy46;
yy372:
		YYDEBUG(372, *YYCURSOR);
		yyaccept = 29;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy373:
		YYDEBUG(373, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1528 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_GOTO);
}
#line 5262 "Zend/zend_language_scanner.c"
yy374:
		YYDEBUG(374, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy459;
		if (yych == 'e') goto yy459;
		goto yy46;
yy375:
		YYDEBUG(375, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'U') goto yy460;
		if (yych == 'u') goto yy460;
		goto yy46;
yy376:
		YYDEBUG(376, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych == 'A') goto yy461;
			if (yych <= 'D') goto yy46;
			goto yy462;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy46;
				goto yy461;
			} else {
				if (yych == 'e') goto yy462;
				goto yy46;
			}
		}
yy377:
		YYDEBUG(377, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy463;
		if (yych == 'r') goto yy463;
		goto yy46;
yy378:
		YYDEBUG(378, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy464;
		if (yych == 't') goto yy464;
		goto yy46;
yy379:
		YYDEBUG(379, *YYCURSOR);
		yyaccept = 30;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy380:
		YYDEBUG(380, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1733 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_LIST);
}
#line 5323 "Zend/zend_language_scanner.c"
yy381:
		YYDEBUG(381, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy466;
		if (yych == 'h') goto yy466;
		goto yy46;
yy382:
		YYDEBUG(382, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy468;
		if (yych == 's') goto yy468;
		goto yy46;
yy383:
		YYDEBUG(383, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy469;
		if (yych == 't') goto yy469;
		goto yy46;
yy384:
		YYDEBUG(384, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy471;
		if (yych == 'a') goto yy471;
		goto yy46;
yy385:
		YYDEBUG(385, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy472;
		if (yych == 'e') goto yy472;
		goto yy46;
yy386:
		YYDEBUG(386, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy473;
		if (yych == 'i') goto yy473;
		goto yy46;
yy387:
		YYDEBUG(387, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy474;
		if (yych == 'i') goto yy474;
		goto yy46;
yy388:
		YYDEBUG(388, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy475;
		if (yych == 'r') goto yy475;
		goto yy46;
yy389:
		YYDEBUG(389, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy476;
		if (yych == 'i') goto yy476;
		goto yy46;
yy390:
		YYDEBUG(390, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy477;
		if (yych == 'c') goto yy477;
		goto yy46;
yy391:
		YYDEBUG(391, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'W') goto yy478;
		if (yych == 'w') goto yy478;
		goto yy46;
yy392:
		YYDEBUG(392, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy480;
		if (yych == 't') goto yy480;
		goto yy46;
yy393:
		YYDEBUG(393, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy482;
		if (yych == 't') goto yy482;
		goto yy46;
yy394:
		YYDEBUG(394, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy484;
		if (yych == 'e') goto yy484;
		goto yy46;
yy395:
		YYDEBUG(395, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy486;
		if (yych == 'd') goto yy486;
		goto yy46;
yy396:
		YYDEBUG(396, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy488;
		if (yych == 'a') goto yy488;
		goto yy46;
yy397:
		YYDEBUG(397, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy489;
		if (yych == 'r') goto yy489;
		goto yy46;
yy398:
		YYDEBUG(398, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy490;
		if (yych == 'l') goto yy490;
		goto yy46;
yy399:
		YYDEBUG(399, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy491;
		if (yych == 'n') goto yy491;
		goto yy46;
yy400:
		YYDEBUG(400, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy492;
		if (yych == 'l') goto yy492;
		goto yy46;
yy401:
		YYDEBUG(401, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy493;
		if (yych == 'n') goto yy493;
		goto yy46;
yy402:
		YYDEBUG(402, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy494;
		if (yych == 't') goto yy494;
		goto yy46;
yy403:
		YYDEBUG(403, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'M') goto yy495;
		if (yych == 'm') goto yy495;
		goto yy46;
yy404:
		YYDEBUG(404, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy496;
		if (yych == 'a') goto yy496;
		goto yy46;
yy405:
		YYDEBUG(405, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy497;
		if (yych == 'y') goto yy497;
		goto yy88;
yy406:
		YYDEBUG(406, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy499;
		if (yych == 'r') goto yy499;
		goto yy88;
yy407:
		YYDEBUG(407, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy504;
		if (yych == 'e') goto yy504;
		goto yy501;
yy408:
		YYDEBUG(408, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy505;
		if (yych == 'l') goto yy505;
		goto yy88;
yy409:
		YYDEBUG(409, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy506;
		if (yych == 't') goto yy506;
		goto yy88;
yy410:
		YYDEBUG(410, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy411:
		YYDEBUG(411, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy410;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy410;
			if (yych != ')') goto yy88;
		}
		YYDEBUG(412, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(413, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1617 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_INT_CAST);
}
#line 5544 "Zend/zend_language_scanner.c"
yy414:
		YYDEBUG(414, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy508;
		if (yych == 'g') goto yy508;
		goto yy88;
yy415:
		YYDEBUG(415, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy509;
		if (yych == 'c') goto yy509;
		goto yy88;
yy416:
		YYDEBUG(416, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(417, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy416;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy416;
			if (yych == ')') goto yy510;
			goto yy88;
		}
yy418:
		YYDEBUG(418, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy512;
		if (yych == 'n') goto yy512;
		goto yy88;
yy419:
		YYDEBUG(419, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy513;
		if (yych == 't') goto yy513;
		goto yy88;
yy420:
		YYDEBUG(420, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy421:
		YYDEBUG(421, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '"') goto yy515;
				goto yy88;
			} else {
				if (yych <= '9') goto yy420;
				if (yych <= '@') goto yy88;
				goto yy420;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy420;
				goto yy88;
			} else {
				if (yych <= 'z') goto yy420;
				if (yych <= 0x7F) goto yy88;
				goto yy420;
			}
		}
yy422:
		YYDEBUG(422, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy423:
		YYDEBUG(423, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '\'') goto yy515;
				goto yy88;
			} else {
				if (yych <= '9') goto yy422;
				if (yych <= '@') goto yy88;
				goto yy422;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy422;
				goto yy88;
			} else {
				if (yych <= 'z') goto yy422;
				if (yych <= 0x7F) goto yy88;
				goto yy422;
			}
		}
yy424:
		YYDEBUG(424, *YYCURSOR);
		++YYCURSOR;
yy425:
		YYDEBUG(425, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2526 "Zend/zend_language_scanner.l"
		{
	char *s;
	unsigned char *saved_cursor;
	int bprefix = (yytext[0] != '<') ? 1 : 0, spacing = 0, indentation = 0;
	zend_heredoc_label *heredoc_label = emalloc(sizeof(zend_heredoc_label));
	zend_bool is_heredoc = 1;

	CG(zend_lineno)++;
	heredoc_label->length = yyleng-bprefix-3-1-(yytext[yyleng-2]=='\r'?1:0);
	s = yytext+bprefix+3;
	while ((*s == ' ') || (*s == '\t')) {
		s++;
		heredoc_label->length--;
	}

	if (*s == '\'') {
		s++;
		heredoc_label->length -= 2;
		is_heredoc = 0;

		BEGIN(ST_NOWDOC);
	} else {
		if (*s == '"') {
			s++;
			heredoc_label->length -= 2;
		}

		BEGIN(ST_HEREDOC);
	}

	heredoc_label->label = estrndup(s, heredoc_label->length);
	heredoc_label->indentation_uses_spaces = 0;
	heredoc_label->indentation = 0;
	saved_cursor = YYCURSOR;

	zend_ptr_stack_push(&SCNG(heredoc_label_stack), (void *) heredoc_label);

	while (YYCURSOR < YYLIMIT && (*YYCURSOR == ' ' || *YYCURSOR == '\t')) {
		if (*YYCURSOR == '\t') {
			spacing |= HEREDOC_USING_TABS;
		} else {
			spacing |= HEREDOC_USING_SPACES;
		}
		++YYCURSOR;
		++indentation;
	}

	if (YYCURSOR == YYLIMIT) {
		YYCURSOR = saved_cursor;
		RETURN_TOKEN(T_START_HEREDOC);
	}

	/* Check for ending label on the next line */
	if (heredoc_label->length < YYLIMIT - YYCURSOR && !memcmp(YYCURSOR, s, heredoc_label->length)) {
		if (!IS_LABEL_SUCCESSOR(YYCURSOR[heredoc_label->length])) {
			if (spacing == (HEREDOC_USING_SPACES | HEREDOC_USING_TABS)) {
				zend_throw_exception(zend_ce_parse_error, "Invalid indentation - tabs and spaces cannot be mixed", 0);
				if (PARSER_MODE()) {
					RETURN_TOKEN(T_ERROR);
				}
			}

			YYCURSOR = saved_cursor;
			heredoc_label->indentation = indentation;

			BEGIN(ST_END_HEREDOC);
			RETURN_TOKEN(T_START_HEREDOC);
		}
	}

	YYCURSOR = saved_cursor;

	if (is_heredoc && !SCNG(heredoc_scan_ahead)) {
		zend_lex_state current_state;
		zend_string *saved_doc_comment = CG(doc_comment);
		int heredoc_nesting_level = 1;
		int first_token = 0;
		int error = 0;

		zend_save_lexical_state(&current_state);

		SCNG(heredoc_scan_ahead) = 1;
		SCNG(heredoc_indentation) = 0;
		SCNG(heredoc_indentation_uses_spaces) = 0;
		LANG_SCNG(on_event) = NULL;
		CG(doc_comment) = NULL;

		zend_ptr_stack_reverse_apply(&current_state.heredoc_label_stack, copy_heredoc_label_stack);

		zend_exception_save();
		while (heredoc_nesting_level) {
			zval zv;
			int retval;

			ZVAL_UNDEF(&zv);
			retval = lex_scan(&zv, NULL);
			zval_ptr_dtor_nogc(&zv);

			if (EG(exception)) {
				zend_clear_exception();
				break;
			}

			if (!first_token) {
				first_token = retval;
			}

			switch (retval) {
				case T_START_HEREDOC:
					++heredoc_nesting_level;
					break;
				case T_END_HEREDOC:
					--heredoc_nesting_level;
					break;
				case END:
					heredoc_nesting_level = 0;
			}
		}
		zend_exception_restore();

		if (
		    (first_token == T_VARIABLE
		     || first_token == T_DOLLAR_OPEN_CURLY_BRACES
		     || first_token == T_CURLY_OPEN
		    ) && SCNG(heredoc_indentation)) {
			zend_throw_exception_ex(zend_ce_parse_error, 0, "Invalid body indentation level (expecting an indentation level of at least %d)", SCNG(heredoc_indentation));
			error = 1;
		}

		heredoc_label->indentation = SCNG(heredoc_indentation);
		heredoc_label->indentation_uses_spaces = SCNG(heredoc_indentation_uses_spaces);

		zend_restore_lexical_state(&current_state);
		SCNG(heredoc_scan_ahead) = 0;
		CG(increment_lineno) = 0;
		CG(doc_comment) = saved_doc_comment;

		if (PARSER_MODE() && error) {
			RETURN_TOKEN(T_ERROR);
		}
	}

	RETURN_TOKEN(T_START_HEREDOC);
}
#line 5786 "Zend/zend_language_scanner.c"
yy426:
		YYDEBUG(426, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy424;
		goto yy425;
yy427:
		YYDEBUG(427, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy516;
		if (yych == 'a') goto yy516;
		goto yy46;
yy428:
		YYDEBUG(428, *YYCURSOR);
		yyaccept = 31;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy429:
		YYDEBUG(429, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1737 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ARRAY);
}
#line 5814 "Zend/zend_language_scanner.c"
yy430:
		YYDEBUG(430, *YYCURSOR);
		yyaccept = 32;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy431:
		YYDEBUG(431, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1520 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_BREAK);
}
#line 5830 "Zend/zend_language_scanner.c"
yy432:
		YYDEBUG(432, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'B') goto yy517;
		if (yych == 'b') goto yy517;
		goto yy46;
yy433:
		YYDEBUG(433, *YYCURSOR);
		yyaccept = 33;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy434:
		YYDEBUG(434, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1428 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CATCH);
}
#line 5853 "Zend/zend_language_scanner.c"
yy435:
		YYDEBUG(435, *YYCURSOR);
		yyaccept = 34;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy436:
		YYDEBUG(436, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1540 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CLASS);
}
#line 5869 "Zend/zend_language_scanner.c"
yy437:
		YYDEBUG(437, *YYCURSOR);
		yyaccept = 35;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy438:
		YYDEBUG(438, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1609 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CLONE);
}
#line 5885 "Zend/zend_language_scanner.c"
yy439:
		YYDEBUG(439, *YYCURSOR);
		yyaccept = 36;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy440:
		YYDEBUG(440, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1401 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CONST);
}
#line 5901 "Zend/zend_language_scanner.c"
yy441:
		YYDEBUG(441, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy518;
		if (yych == 'n') goto yy518;
		goto yy46;
yy442:
		YYDEBUG(442, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy519;
		if (yych == 'r') goto yy519;
		goto yy46;
yy443:
		YYDEBUG(443, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy520;
		if (yych == 'l') goto yy520;
		goto yy46;
yy444:
		YYDEBUG(444, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'F') goto yy521;
		if (yych == 'f') goto yy521;
		goto yy46;
yy445:
		YYDEBUG(445, *YYCURSOR);
		yyaccept = 37;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy446:
		YYDEBUG(446, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1693 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_EMPTY);
}
#line 5945 "Zend/zend_language_scanner.c"
yy447:
		YYDEBUG(447, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy523;
		if (yych == 'c') goto yy523;
		goto yy46;
yy448:
		YYDEBUG(448, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy524;
		if (yych == 'r') goto yy524;
		goto yy46;
yy449:
		YYDEBUG(449, *YYCURSOR);
		yyaccept = 38;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy450:
		YYDEBUG(450, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1448 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDIF);
}
#line 5975 "Zend/zend_language_scanner.c"
yy451:
		YYDEBUG(451, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy526;
		if (yych == 'i') goto yy526;
		goto yy46;
yy452:
		YYDEBUG(452, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy527;
		if (yych == 'i') goto yy527;
		goto yy46;
yy453:
		YYDEBUG(453, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy528;
		if (yych == 'd') goto yy528;
		goto yy46;
yy454:
		YYDEBUG(454, *YYCURSOR);
		yyaccept = 39;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= 'K') {
				if (yych <= '/') goto yy455;
				if (yych <= '9') goto yy45;
				if (yych >= 'A') goto yy45;
			} else {
				if (yych <= 'L') goto yy529;
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= 'k') {
				if (yych == '_') goto yy45;
				if (yych >= 'a') goto yy45;
			} else {
				if (yych <= 'l') goto yy529;
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy455:
		YYDEBUG(455, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1709 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FINAL);
}
#line 6028 "Zend/zend_language_scanner.c"
yy456:
		YYDEBUG(456, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy530;
		if (yych == 'c') goto yy530;
		goto yy46;
yy457:
		YYDEBUG(457, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy531;
		if (yych == 'i') goto yy531;
		goto yy46;
yy458:
		YYDEBUG(458, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy532;
		if (yych == 'l') goto yy532;
		goto yy46;
yy459:
		YYDEBUG(459, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'M') goto yy534;
		if (yych == 'm') goto yy534;
		goto yy46;
yy460:
		YYDEBUG(460, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy535;
		if (yych == 'd') goto yy535;
		goto yy46;
yy461:
		YYDEBUG(461, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy536;
		if (yych == 'n') goto yy536;
		goto yy46;
yy462:
		YYDEBUG(462, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy537;
		if (yych == 'a') goto yy537;
		goto yy46;
yy463:
		YYDEBUG(463, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'F') goto yy538;
		if (yych == 'f') goto yy538;
		goto yy46;
yy464:
		YYDEBUG(464, *YYCURSOR);
		yyaccept = 40;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy465:
		YYDEBUG(465, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1689 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ISSET);
}
#line 6100 "Zend/zend_language_scanner.c"
yy466:
		YYDEBUG(466, *YYCURSOR);
		yyaccept = 41;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy467:
		YYDEBUG(467, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1504 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_MATCH);
}
#line 6116 "Zend/zend_language_scanner.c"
yy468:
		YYDEBUG(468, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'P') goto yy539;
		if (yych == 'p') goto yy539;
		goto yy46;
yy469:
		YYDEBUG(469, *YYCURSOR);
		yyaccept = 42;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy470:
		YYDEBUG(470, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1536 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_PRINT);
}
#line 6139 "Zend/zend_language_scanner.c"
yy471:
		YYDEBUG(471, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy540;
		if (yych == 't') goto yy540;
		goto yy46;
yy472:
		YYDEBUG(472, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy541;
		if (yych == 'c') goto yy541;
		goto yy46;
yy473:
		YYDEBUG(473, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy542;
		if (yych == 'c') goto yy542;
		goto yy46;
yy474:
		YYDEBUG(474, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy544;
		if (yych == 'r') goto yy544;
		goto yy46;
yy475:
		YYDEBUG(475, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy545;
		if (yych == 'n') goto yy545;
		goto yy46;
yy476:
		YYDEBUG(476, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy547;
		if (yych == 'c') goto yy547;
		goto yy46;
yy477:
		YYDEBUG(477, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy549;
		if (yych == 'h') goto yy549;
		goto yy46;
yy478:
		YYDEBUG(478, *YYCURSOR);
		yyaccept = 43;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy479:
		YYDEBUG(479, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1436 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_THROW);
}
#line 6204 "Zend/zend_language_scanner.c"
yy480:
		YYDEBUG(480, *YYCURSOR);
		yyaccept = 44;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy481:
		YYDEBUG(481, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1548 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_TRAIT);
}
#line 6220 "Zend/zend_language_scanner.c"
yy482:
		YYDEBUG(482, *YYCURSOR);
		yyaccept = 45;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy483:
		YYDEBUG(483, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1725 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_UNSET);
}
#line 6236 "Zend/zend_language_scanner.c"
yy484:
		YYDEBUG(484, *YYCURSOR);
		yyaccept = 46;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy485:
		YYDEBUG(485, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1456 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_WHILE);
}
#line 6252 "Zend/zend_language_scanner.c"
yy486:
		YYDEBUG(486, *YYCURSOR);
		yyaccept = 47;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy487;
			if (yych <= '\n') goto yy551;
			if (yych >= '\r') goto yy551;
		} else {
			if (yych <= ' ') {
				if (yych >= ' ') goto yy551;
			} else {
				if (yych == '\\') goto yy153;
			}
		}
yy487:
		YYDEBUG(487, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1420 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_YIELD);
}
#line 6278 "Zend/zend_language_scanner.c"
yy488:
		YYDEBUG(488, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy553;
		if (yych == 's') goto yy553;
		goto yy46;
yy489:
		YYDEBUG(489, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy554;
		goto yy46;
yy490:
		YYDEBUG(490, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy555;
		if (yych == 'e') goto yy555;
		goto yy46;
yy491:
		YYDEBUG(491, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy556;
		if (yych == 'c') goto yy556;
		goto yy46;
yy492:
		YYDEBUG(492, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy557;
		if (yych == 't') goto yy557;
		goto yy46;
yy493:
		YYDEBUG(493, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy558;
		if (yych == 'e') goto yy558;
		goto yy46;
yy494:
		YYDEBUG(494, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy559;
		if (yych == 'h') goto yy559;
		goto yy46;
yy495:
		YYDEBUG(495, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy560;
		if (yych == 'e') goto yy560;
		goto yy46;
yy496:
		YYDEBUG(496, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy561;
		if (yych == 'i') goto yy561;
		goto yy46;
yy497:
		YYDEBUG(497, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(498, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy497;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy497;
			if (yych == ')') goto yy562;
			goto yy88;
		}
yy499:
		YYDEBUG(499, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy564;
		if (yych == 'y') goto yy564;
		goto yy88;
yy500:
		YYDEBUG(500, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy501:
		YYDEBUG(501, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy500;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy500;
			if (yych != ')') goto yy88;
		}
		YYDEBUG(502, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(503, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1645 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_BOOL_CAST);
}
#line 6383 "Zend/zend_language_scanner.c"
yy504:
		YYDEBUG(504, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy566;
		if (yych == 'a') goto yy566;
		goto yy88;
yy505:
		YYDEBUG(505, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy506;
		if (yych != 'e') goto yy88;
yy506:
		YYDEBUG(506, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(507, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy506;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy506;
			if (yych == ')') goto yy567;
			goto yy88;
		}
yy508:
		YYDEBUG(508, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy569;
		if (yych == 'e') goto yy569;
		goto yy88;
yy509:
		YYDEBUG(509, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy570;
		if (yych == 't') goto yy570;
		goto yy88;
yy510:
		YYDEBUG(510, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(511, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1625 "Zend/zend_language_scanner.l"
		{
	if (PARSER_MODE()) {
		zend_throw_exception(zend_ce_parse_error, "The (real) cast has been removed, use (float) instead", 0);
		RETURN_TOKEN(T_ERROR);
	}
	RETURN_TOKEN(T_DOUBLE_CAST);
}
#line 6434 "Zend/zend_language_scanner.c"
yy512:
		YYDEBUG(512, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy564;
		if (yych == 'g') goto yy564;
		goto yy88;
yy513:
		YYDEBUG(513, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(514, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy513;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy513;
			if (yych == ')') goto yy572;
			goto yy88;
		}
yy515:
		YYDEBUG(515, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy424;
		if (yych == '\r') goto yy426;
		goto yy88;
yy516:
		YYDEBUG(516, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy574;
		if (yych == 'c') goto yy574;
		goto yy46;
yy517:
		YYDEBUG(517, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy575;
		if (yych == 'l') goto yy575;
		goto yy46;
yy518:
		YYDEBUG(518, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'U') goto yy576;
		if (yych == 'u') goto yy576;
		goto yy46;
yy519:
		YYDEBUG(519, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy577;
		if (yych == 'e') goto yy577;
		goto yy46;
yy520:
		YYDEBUG(520, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy579;
		if (yych == 't') goto yy579;
		goto yy46;
yy521:
		YYDEBUG(521, *YYCURSOR);
		yyaccept = 48;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy522:
		YYDEBUG(522, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1444 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ELSEIF);
}
#line 6511 "Zend/zend_language_scanner.c"
yy523:
		YYDEBUG(523, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy581;
		if (yych == 'l') goto yy581;
		goto yy46;
yy524:
		YYDEBUG(524, *YYCURSOR);
		yyaccept = 49;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= 'D') {
				if (yych <= '/') goto yy525;
				if (yych <= '9') goto yy45;
				if (yych >= 'A') goto yy45;
			} else {
				if (yych <= 'E') goto yy582;
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= 'd') {
				if (yych == '_') goto yy45;
				if (yych >= 'a') goto yy45;
			} else {
				if (yych <= 'e') goto yy582;
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy525:
		YYDEBUG(525, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1472 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDFOR);
}
#line 6550 "Zend/zend_language_scanner.c"
yy526:
		YYDEBUG(526, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy583;
		if (yych == 't') goto yy583;
		goto yy46;
yy527:
		YYDEBUG(527, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy584;
		if (yych == 'l') goto yy584;
		goto yy46;
yy528:
		YYDEBUG(528, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy585;
		if (yych == 's') goto yy585;
		goto yy46;
yy529:
		YYDEBUG(529, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'Y') goto yy587;
		if (yych == 'y') goto yy587;
		goto yy46;
yy530:
		YYDEBUG(530, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy589;
		if (yych == 'h') goto yy589;
		goto yy46;
yy531:
		YYDEBUG(531, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy591;
		if (yych == 'o') goto yy591;
		goto yy46;
yy532:
		YYDEBUG(532, *YYCURSOR);
		yyaccept = 50;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy533:
		YYDEBUG(533, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1685 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_GLOBAL);
}
#line 6608 "Zend/zend_language_scanner.c"
yy534:
		YYDEBUG(534, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy592;
		if (yych == 'e') goto yy592;
		goto yy46;
yy535:
		YYDEBUG(535, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy593;
		if (yych == 'e') goto yy593;
		goto yy46;
yy536:
		YYDEBUG(536, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy595;
		if (yych == 'c') goto yy595;
		goto yy46;
yy537:
		YYDEBUG(537, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy596;
		if (yych == 'd') goto yy596;
		goto yy46;
yy538:
		YYDEBUG(538, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy597;
		if (yych == 'a') goto yy597;
		goto yy46;
yy539:
		YYDEBUG(539, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy598;
		if (yych == 'a') goto yy598;
		goto yy46;
yy540:
		YYDEBUG(540, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy599;
		if (yych == 'e') goto yy599;
		goto yy46;
yy541:
		YYDEBUG(541, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy601;
		if (yych == 't') goto yy601;
		goto yy46;
yy542:
		YYDEBUG(542, *YYCURSOR);
		yyaccept = 51;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy543:
		YYDEBUG(543, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1721 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_PUBLIC);
}
#line 6680 "Zend/zend_language_scanner.c"
yy544:
		YYDEBUG(544, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy602;
		if (yych == 'e') goto yy602;
		goto yy46;
yy545:
		YYDEBUG(545, *YYCURSOR);
		yyaccept = 52;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy546:
		YYDEBUG(546, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1405 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_RETURN);
}
#line 6703 "Zend/zend_language_scanner.c"
yy547:
		YYDEBUG(547, *YYCURSOR);
		yyaccept = 53;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy548:
		YYDEBUG(548, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1701 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_STATIC);
}
#line 6719 "Zend/zend_language_scanner.c"
yy549:
		YYDEBUG(549, *YYCURSOR);
		yyaccept = 54;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy550:
		YYDEBUG(550, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1500 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_SWITCH);
}
#line 6735 "Zend/zend_language_scanner.c"
yy551:
		YYDEBUG(551, *YYCURSOR);
		++YYCURSOR;
		YYFILL(5);
		yych = *YYCURSOR;
		YYDEBUG(552, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy88;
				goto yy551;
			} else {
				if (yych == '\r') goto yy551;
				goto yy88;
			}
		} else {
			if (yych <= 'F') {
				if (yych <= ' ') goto yy551;
				if (yych <= 'E') goto yy88;
				goto yy604;
			} else {
				if (yych == 'f') goto yy604;
				goto yy88;
			}
		}
yy553:
		YYDEBUG(553, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy605;
		if (yych == 's') goto yy605;
		goto yy46;
yy554:
		YYDEBUG(554, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy606;
		goto yy46;
yy555:
		YYDEBUG(555, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy608;
		goto yy46;
yy556:
		YYDEBUG(556, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy609;
		if (yych == 't') goto yy609;
		goto yy46;
yy557:
		YYDEBUG(557, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy610;
		goto yy46;
yy558:
		YYDEBUG(558, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy611;
		goto yy46;
yy559:
		YYDEBUG(559, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy612;
		if (yych == 'o') goto yy612;
		goto yy46;
yy560:
		YYDEBUG(560, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy613;
		if (yych == 's') goto yy613;
		goto yy46;
yy561:
		YYDEBUG(561, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy614;
		if (yych == 't') goto yy614;
		goto yy46;
yy562:
		YYDEBUG(562, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(563, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1637 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_ARRAY_CAST);
}
#line 6828 "Zend/zend_language_scanner.c"
yy564:
		YYDEBUG(564, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(565, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy564;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy564;
			if (yych == ')') goto yy615;
			goto yy88;
		}
yy566:
		YYDEBUG(566, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy500;
		if (yych == 'n') goto yy500;
		goto yy88;
yy567:
		YYDEBUG(567, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(568, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1621 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_DOUBLE_CAST);
}
#line 6858 "Zend/zend_language_scanner.c"
yy569:
		YYDEBUG(569, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy410;
		if (yych == 'r') goto yy410;
		goto yy88;
yy570:
		YYDEBUG(570, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(571, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy570;
			goto yy88;
		} else {
			if (yych <= ' ') goto yy570;
			if (yych == ')') goto yy617;
			goto yy88;
		}
yy572:
		YYDEBUG(572, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(573, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1649 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_UNSET_CAST);
}
#line 6888 "Zend/zend_language_scanner.c"
yy574:
		YYDEBUG(574, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy619;
		if (yych == 't') goto yy619;
		goto yy46;
yy575:
		YYDEBUG(575, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy621;
		if (yych == 'e') goto yy621;
		goto yy46;
yy576:
		YYDEBUG(576, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy623;
		if (yych == 'e') goto yy623;
		goto yy46;
yy577:
		YYDEBUG(577, *YYCURSOR);
		yyaccept = 55;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy578:
		YYDEBUG(578, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1484 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_DECLARE);
}
#line 6925 "Zend/zend_language_scanner.c"
yy579:
		YYDEBUG(579, *YYCURSOR);
		yyaccept = 56;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy580:
		YYDEBUG(580, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1516 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_DEFAULT);
}
#line 6941 "Zend/zend_language_scanner.c"
yy581:
		YYDEBUG(581, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy625;
		if (yych == 'a') goto yy625;
		goto yy46;
yy582:
		YYDEBUG(582, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy626;
		if (yych == 'a') goto yy626;
		goto yy46;
yy583:
		YYDEBUG(583, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy627;
		if (yych == 'c') goto yy627;
		goto yy46;
yy584:
		YYDEBUG(584, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy628;
		if (yych == 'e') goto yy628;
		goto yy46;
yy585:
		YYDEBUG(585, *YYCURSOR);
		yyaccept = 57;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy586:
		YYDEBUG(586, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1552 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_EXTENDS);
}
#line 6985 "Zend/zend_language_scanner.c"
yy587:
		YYDEBUG(587, *YYCURSOR);
		yyaccept = 58;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy588:
		YYDEBUG(588, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1432 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FINALLY);
}
#line 7001 "Zend/zend_language_scanner.c"
yy589:
		YYDEBUG(589, *YYCURSOR);
		yyaccept = 59;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy590:
		YYDEBUG(590, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1476 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FOREACH);
}
#line 7017 "Zend/zend_language_scanner.c"
yy591:
		YYDEBUG(591, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy630;
		if (yych == 'n') goto yy630;
		goto yy46;
yy592:
		YYDEBUG(592, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy632;
		if (yych == 'n') goto yy632;
		goto yy46;
yy593:
		YYDEBUG(593, *YYCURSOR);
		yyaccept = 60;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych <= '/') goto yy594;
				if (yych <= '9') goto yy45;
			} else {
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy633;
			} else {
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy594:
		YYDEBUG(594, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1657 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_INCLUDE);
}
#line 7059 "Zend/zend_language_scanner.c"
yy595:
		YYDEBUG(595, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy634;
		if (yych == 'e') goto yy634;
		goto yy46;
yy596:
		YYDEBUG(596, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy635;
		if (yych == 'o') goto yy635;
		goto yy46;
yy597:
		YYDEBUG(597, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy636;
		if (yych == 'c') goto yy636;
		goto yy46;
yy598:
		YYDEBUG(598, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy637;
		if (yych == 'c') goto yy637;
		goto yy46;
yy599:
		YYDEBUG(599, *YYCURSOR);
		yyaccept = 61;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy600:
		YYDEBUG(600, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1713 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_PRIVATE);
}
#line 7103 "Zend/zend_language_scanner.c"
yy601:
		YYDEBUG(601, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy638;
		if (yych == 'e') goto yy638;
		goto yy46;
yy602:
		YYDEBUG(602, *YYCURSOR);
		yyaccept = 62;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych <= '/') goto yy603;
				if (yych <= '9') goto yy45;
			} else {
				if (yych <= 'Z') goto yy45;
				if (yych >= '\\') goto yy153;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy639;
			} else {
				if (yych <= 'z') goto yy45;
				if (yych >= 0x80) goto yy45;
			}
		}
yy603:
		YYDEBUG(603, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1665 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_REQUIRE);
}
#line 7138 "Zend/zend_language_scanner.c"
yy604:
		YYDEBUG(604, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy640;
		if (yych == 'r') goto yy640;
		goto yy88;
yy605:
		YYDEBUG(605, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy641;
		goto yy46;
yy606:
		YYDEBUG(606, *YYCURSOR);
		yyaccept = 63;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy607:
		YYDEBUG(607, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2133 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_DIR);
}
#line 7166 "Zend/zend_language_scanner.c"
yy608:
		YYDEBUG(608, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy642;
		goto yy46;
yy609:
		YYDEBUG(609, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy644;
		if (yych == 'i') goto yy644;
		goto yy46;
yy610:
		YYDEBUG(610, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy645;
		if (yych == 'c') goto yy645;
		goto yy46;
yy611:
		YYDEBUG(611, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy646;
		goto yy46;
yy612:
		YYDEBUG(612, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy648;
		if (yych == 'd') goto yy648;
		goto yy46;
yy613:
		YYDEBUG(613, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'P') goto yy649;
		if (yych == 'p') goto yy649;
		goto yy46;
yy614:
		YYDEBUG(614, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy650;
		goto yy46;
yy615:
		YYDEBUG(615, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(616, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1633 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_STRING_CAST);
}
#line 7222 "Zend/zend_language_scanner.c"
yy617:
		YYDEBUG(617, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(618, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1641 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_OBJECT_CAST);
}
#line 7232 "Zend/zend_language_scanner.c"
yy619:
		YYDEBUG(619, *YYCURSOR);
		yyaccept = 64;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy620:
		YYDEBUG(620, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1705 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ABSTRACT);
}
#line 7248 "Zend/zend_language_scanner.c"
yy621:
		YYDEBUG(621, *YYCURSOR);
		yyaccept = 65;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy622:
		YYDEBUG(622, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1741 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CALLABLE);
}
#line 7264 "Zend/zend_language_scanner.c"
yy623:
		YYDEBUG(623, *YYCURSOR);
		yyaccept = 66;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy624:
		YYDEBUG(624, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1524 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CONTINUE);
}
#line 7280 "Zend/zend_language_scanner.c"
yy625:
		YYDEBUG(625, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy651;
		if (yych == 'r') goto yy651;
		goto yy46;
yy626:
		YYDEBUG(626, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy652;
		if (yych == 'c') goto yy652;
		goto yy46;
yy627:
		YYDEBUG(627, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy653;
		if (yych == 'h') goto yy653;
		goto yy46;
yy628:
		YYDEBUG(628, *YYCURSOR);
		yyaccept = 67;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy629:
		YYDEBUG(629, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1460 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDWHILE);
}
#line 7317 "Zend/zend_language_scanner.c"
yy630:
		YYDEBUG(630, *YYCURSOR);
		yyaccept = 68;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy631:
		YYDEBUG(631, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1397 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FUNCTION);
}
#line 7333 "Zend/zend_language_scanner.c"
yy632:
		YYDEBUG(632, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'T') goto yy655;
		if (yych == 't') goto yy655;
		goto yy46;
yy633:
		YYDEBUG(633, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy656;
		if (yych == 'o') goto yy656;
		goto yy46;
yy634:
		YYDEBUG(634, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy657;
		if (yych == 'o') goto yy657;
		goto yy46;
yy635:
		YYDEBUG(635, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'F') goto yy658;
		if (yych == 'f') goto yy658;
		goto yy46;
yy636:
		YYDEBUG(636, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy660;
		if (yych == 'e') goto yy660;
		goto yy46;
yy637:
		YYDEBUG(637, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy662;
		if (yych == 'e') goto yy662;
		goto yy46;
yy638:
		YYDEBUG(638, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'D') goto yy664;
		if (yych == 'd') goto yy664;
		goto yy46;
yy639:
		YYDEBUG(639, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy666;
		if (yych == 'o') goto yy666;
		goto yy46;
yy640:
		YYDEBUG(640, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy667;
		if (yych == 'o') goto yy667;
		goto yy88;
yy641:
		YYDEBUG(641, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy668;
		goto yy46;
yy642:
		YYDEBUG(642, *YYCURSOR);
		yyaccept = 69;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy643:
		YYDEBUG(643, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2129 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FILE);
}
#line 7417 "Zend/zend_language_scanner.c"
yy644:
		YYDEBUG(644, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy670;
		if (yych == 'o') goto yy670;
		goto yy46;
yy645:
		YYDEBUG(645, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'O') goto yy671;
		if (yych == 'o') goto yy671;
		goto yy46;
yy646:
		YYDEBUG(646, *YYCURSOR);
		yyaccept = 70;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy647:
		YYDEBUG(647, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2125 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_LINE);
}
#line 7447 "Zend/zend_language_scanner.c"
yy648:
		YYDEBUG(648, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy672;
		goto yy46;
yy649:
		YYDEBUG(649, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'A') goto yy673;
		if (yych == 'a') goto yy673;
		goto yy46;
yy650:
		YYDEBUG(650, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy674;
		goto yy46;
yy651:
		YYDEBUG(651, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy676;
		if (yych == 'e') goto yy676;
		goto yy46;
yy652:
		YYDEBUG(652, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'H') goto yy678;
		if (yych == 'h') goto yy678;
		goto yy46;
yy653:
		YYDEBUG(653, *YYCURSOR);
		yyaccept = 71;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy654:
		YYDEBUG(654, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1508 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDSWITCH);
}
#line 7496 "Zend/zend_language_scanner.c"
yy655:
		YYDEBUG(655, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'S') goto yy680;
		if (yych == 's') goto yy680;
		goto yy46;
yy656:
		YYDEBUG(656, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy682;
		if (yych == 'n') goto yy682;
		goto yy46;
yy657:
		YYDEBUG(657, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'F') goto yy683;
		if (yych == 'f') goto yy683;
		goto yy46;
yy658:
		YYDEBUG(658, *YYCURSOR);
		yyaccept = 72;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy659:
		YYDEBUG(659, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1681 "Zend/zend_language_scanner.l"
		{
    RETURN_TOKEN_WITH_IDENT(T_INSTEADOF);
}
#line 7533 "Zend/zend_language_scanner.c"
yy660:
		YYDEBUG(660, *YYCURSOR);
		yyaccept = 73;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy661:
		YYDEBUG(661, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1544 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_INTERFACE);
}
#line 7549 "Zend/zend_language_scanner.c"
yy662:
		YYDEBUG(662, *YYCURSOR);
		yyaccept = 74;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy685;
yy663:
		YYDEBUG(663, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1673 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_NAMESPACE);
}
#line 7565 "Zend/zend_language_scanner.c"
yy664:
		YYDEBUG(664, *YYCURSOR);
		yyaccept = 75;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy665:
		YYDEBUG(665, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1717 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_PROTECTED);
}
#line 7581 "Zend/zend_language_scanner.c"
yy666:
		YYDEBUG(666, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy686;
		if (yych == 'n') goto yy686;
		goto yy46;
yy667:
		YYDEBUG(667, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy687;
		if (yych == 'm') goto yy687;
		goto yy88;
yy668:
		YYDEBUG(668, *YYCURSOR);
		yyaccept = 76;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy669:
		YYDEBUG(669, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2109 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_CLASS_C);
}
#line 7610 "Zend/zend_language_scanner.c"
yy670:
		YYDEBUG(670, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'N') goto yy688;
		if (yych == 'n') goto yy688;
		goto yy46;
yy671:
		YYDEBUG(671, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'M') goto yy689;
		if (yych == 'm') goto yy689;
		goto yy46;
yy672:
		YYDEBUG(672, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy690;
		goto yy46;
yy673:
		YYDEBUG(673, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy692;
		if (yych == 'c') goto yy692;
		goto yy46;
yy674:
		YYDEBUG(674, *YYCURSOR);
		yyaccept = 77;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy675:
		YYDEBUG(675, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2113 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_TRAIT_C);
}
#line 7653 "Zend/zend_language_scanner.c"
yy676:
		YYDEBUG(676, *YYCURSOR);
		yyaccept = 78;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy677:
		YYDEBUG(677, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1488 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDDECLARE);
}
#line 7669 "Zend/zend_language_scanner.c"
yy678:
		YYDEBUG(678, *YYCURSOR);
		yyaccept = 79;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy679:
		YYDEBUG(679, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1480 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_ENDFOREACH);
}
#line 7685 "Zend/zend_language_scanner.c"
yy680:
		YYDEBUG(680, *YYCURSOR);
		yyaccept = 80;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy681:
		YYDEBUG(681, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1556 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_IMPLEMENTS);
}
#line 7701 "Zend/zend_language_scanner.c"
yy682:
		YYDEBUG(682, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy693;
		if (yych == 'c') goto yy693;
		goto yy46;
yy683:
		YYDEBUG(683, *YYCURSOR);
		yyaccept = 81;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy684:
		YYDEBUG(684, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1492 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_INSTANCEOF);
}
#line 7724 "Zend/zend_language_scanner.c"
yy685:
		YYDEBUG(685, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy88;
			if (yych <= 'Z') goto yy694;
			if (yych <= '^') goto yy88;
			goto yy694;
		} else {
			if (yych <= '`') goto yy88;
			if (yych <= 'z') goto yy694;
			if (yych <= 0x7F) goto yy88;
			goto yy694;
		}
yy686:
		YYDEBUG(686, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'C') goto yy697;
		if (yych == 'c') goto yy697;
		goto yy46;
yy687:
		YYDEBUG(687, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych <= '/') goto yy698;
				goto yy88;
			} else {
				if (yych <= '@') goto yy698;
				if (yych <= 'Z') goto yy88;
				goto yy698;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy88;
				goto yy698;
			} else {
				if (yych <= 'z') goto yy88;
				if (yych <= 0x7F) goto yy698;
				goto yy88;
			}
		}
yy688:
		YYDEBUG(688, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy700;
		goto yy46;
yy689:
		YYDEBUG(689, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'P') goto yy701;
		if (yych == 'p') goto yy701;
		goto yy46;
yy690:
		YYDEBUG(690, *YYCURSOR);
		yyaccept = 82;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy691:
		YYDEBUG(691, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2121 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_METHOD_C);
}
#line 7798 "Zend/zend_language_scanner.c"
yy692:
		YYDEBUG(692, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy702;
		if (yych == 'e') goto yy702;
		goto yy46;
yy693:
		YYDEBUG(693, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy703;
		if (yych == 'e') goto yy703;
		goto yy46;
yy694:
		YYDEBUG(694, *YYCURSOR);
		yyaccept = 83;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(695, *YYCURSOR);
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych <= '/') goto yy696;
				if (yych <= '9') goto yy694;
			} else {
				if (yych <= 'Z') goto yy694;
				if (yych >= '\\') goto yy685;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy694;
			} else {
				if (yych <= 'z') goto yy694;
				if (yych >= 0x80) goto yy694;
			}
		}
yy696:
		YYDEBUG(696, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2291 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_NAME_RELATIVE, sizeof("namespace\\") - 1);
}
#line 7843 "Zend/zend_language_scanner.c"
yy697:
		YYDEBUG(697, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy705;
		if (yych == 'e') goto yy705;
		goto yy46;
yy698:
		YYDEBUG(698, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(699, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1414 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	HANDLE_NEWLINES(yytext, yyleng);
	RETURN_TOKEN_WITH_IDENT(T_YIELD_FROM);
}
#line 7862 "Zend/zend_language_scanner.c"
yy700:
		YYDEBUG(700, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy707;
		goto yy46;
yy701:
		YYDEBUG(701, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'I') goto yy709;
		if (yych == 'i') goto yy709;
		goto yy46;
yy702:
		YYDEBUG(702, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy710;
		goto yy46;
yy703:
		YYDEBUG(703, *YYCURSOR);
		yyaccept = 84;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy704:
		YYDEBUG(704, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1661 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_INCLUDE_ONCE);
}
#line 7897 "Zend/zend_language_scanner.c"
yy705:
		YYDEBUG(705, *YYCURSOR);
		yyaccept = 85;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy706:
		YYDEBUG(706, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1669 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_REQUIRE_ONCE);
}
#line 7913 "Zend/zend_language_scanner.c"
yy707:
		YYDEBUG(707, *YYCURSOR);
		yyaccept = 86;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy708:
		YYDEBUG(708, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2117 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_FUNC_C);
}
#line 7929 "Zend/zend_language_scanner.c"
yy709:
		YYDEBUG(709, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'L') goto yy711;
		if (yych == 'l') goto yy711;
		goto yy46;
yy710:
		YYDEBUG(710, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '_') goto yy712;
		goto yy46;
yy711:
		YYDEBUG(711, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'E') goto yy714;
		if (yych == 'e') goto yy714;
		goto yy46;
yy712:
		YYDEBUG(712, *YYCURSOR);
		yyaccept = 87;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy713:
		YYDEBUG(713, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2137 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_NS_C);
}
#line 7965 "Zend/zend_language_scanner.c"
yy714:
		YYDEBUG(714, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'R') goto yy715;
		if (yych != 'r') goto yy46;
yy715:
		YYDEBUG(715, *YYCURSOR);
		yyaccept = 88;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy45;
		}
		if (yych == '\\') goto yy153;
yy716:
		YYDEBUG(716, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1697 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_IDENT(T_HALT_COMPILER);
}
#line 7987 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_PROPERTY:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,  64,  64,   0,   0,  64,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			 64,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(717, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy721;
		}
		if (yych <= 'Z') {
			if (yych <= '>') {
				if (yych == '-') goto yy724;
			} else {
				if (yych <= '?') goto yy725;
				if (yych >= 'A') goto yy726;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy726;
			} else {
				if (yych <= 'z') goto yy726;
				if (yych >= 0x80) goto yy726;
			}
		}
		YYDEBUG(719, *YYCURSOR);
		++YYCURSOR;
yy720:
		YYDEBUG(720, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1587 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state();
	goto restart;
}
#line 8058 "Zend/zend_language_scanner.c"
yy721:
		YYDEBUG(721, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(722, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy721;
		}
		YYDEBUG(723, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1570 "Zend/zend_language_scanner.l"
		{
	goto return_whitespace;
}
#line 8074 "Zend/zend_language_scanner.c"
yy724:
		YYDEBUG(724, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy729;
		goto yy720;
yy725:
		YYDEBUG(725, *YYCURSOR);
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '-') goto yy731;
		goto yy720;
yy726:
		YYDEBUG(726, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(727, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy726;
		}
		YYDEBUG(728, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1582 "Zend/zend_language_scanner.l"
		{
	yy_pop_state();
	RETURN_TOKEN_WITH_STR(T_STRING, 0);
}
#line 8101 "Zend/zend_language_scanner.c"
yy729:
		YYDEBUG(729, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(730, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1574 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_OBJECT_OPERATOR);
}
#line 8111 "Zend/zend_language_scanner.c"
yy731:
		YYDEBUG(731, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy733;
		YYDEBUG(732, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy720;
yy733:
		YYDEBUG(733, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(734, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1578 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN(T_NULLSAFE_OBJECT_OPERATOR);
}
#line 8128 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_BACKQUOTE:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(735, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych == '$') goto yy739;
		} else {
			if (yych <= '`') goto yy740;
			if (yych == '{') goto yy742;
		}
		YYDEBUG(737, *YYCURSOR);
		++YYCURSOR;
yy738:
		YYDEBUG(738, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2765 "Zend/zend_language_scanner.l"
		{
	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}
	if (yytext[0] == '\\' && YYCURSOR < YYLIMIT) {
		YYCURSOR++;
	}

	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '`':
				break;
			case '$':
				if (IS_LABEL_START(*YYCURSOR) || *YYCURSOR == '{') {
					break;
				}
				continue;
			case '{':
				if (*YYCURSOR == '$') {
					break;
				}
				continue;
			case '\\':
				if (YYCURSOR < YYLIMIT) {
					YYCURSOR++;
				}
				/* fall through */
			default:
				continue;
		}

		YYCURSOR--;
		break;
	}

	yyleng = YYCURSOR - SCNG(yy_text);

	if (EXPECTED(zend_scan_escape_string(zendlval, yytext, yyleng, '`') == SUCCESS)
	 || !PARSER_MODE()) {
		RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
	} else {
		RETURN_TOKEN(T_ERROR);
	}
}
#line 8226 "Zend/zend_language_scanner.c"
yy739:
		YYDEBUG(739, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy738;
			if (yych <= 'Z') goto yy743;
			if (yych <= '^') goto yy738;
			goto yy743;
		} else {
			if (yych <= 'z') {
				if (yych <= '`') goto yy738;
				goto yy743;
			} else {
				if (yych <= '{') goto yy746;
				if (yych <= 0x7F) goto yy738;
				goto yy743;
			}
		}
yy740:
		YYDEBUG(740, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(741, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2705 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	RETURN_TOKEN('`');
}
#line 8255 "Zend/zend_language_scanner.c"
yy742:
		YYDEBUG(742, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '$') goto yy748;
		goto yy738;
yy743:
		YYDEBUG(743, *YYCURSOR);
		YYMARKER = ++YYCURSOR;
		YYFILL(4);
		yych = *YYCURSOR;
		YYDEBUG(744, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy743;
		}
		if (yych <= '>') {
			if (yych == '-') goto yy750;
		} else {
			if (yych <= '?') goto yy752;
			if (yych <= '@') goto yy745;
			if (yych <= '[') goto yy753;
		}
yy745:
		YYDEBUG(745, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2269 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8284 "Zend/zend_language_scanner.c"
yy746:
		YYDEBUG(746, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(747, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1887 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME);
	enter_nesting('{');
	RETURN_TOKEN(T_DOLLAR_OPEN_CURLY_BRACES);
}
#line 8296 "Zend/zend_language_scanner.c"
yy748:
		YYDEBUG(748, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(749, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2692 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING);
	yyless(1);
	enter_nesting('{');
	RETURN_TOKEN(T_CURLY_OPEN);
}
#line 8309 "Zend/zend_language_scanner.c"
yy750:
		YYDEBUG(750, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy755;
yy751:
		YYDEBUG(751, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy745;
yy752:
		YYDEBUG(752, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '-') goto yy756;
		goto yy751;
yy753:
		YYDEBUG(753, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(754, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2263 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8334 "Zend/zend_language_scanner.c"
yy755:
		YYDEBUG(755, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy751;
			if (yych <= 'Z') goto yy757;
			if (yych <= '^') goto yy751;
			goto yy757;
		} else {
			if (yych <= '`') goto yy751;
			if (yych <= 'z') goto yy757;
			if (yych <= 0x7F) goto yy751;
			goto yy757;
		}
yy756:
		YYDEBUG(756, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy759;
		goto yy751;
yy757:
		YYDEBUG(757, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(758, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2249 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8365 "Zend/zend_language_scanner.c"
yy759:
		YYDEBUG(759, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy751;
			if (yych <= 'Z') goto yy760;
			if (yych <= '^') goto yy751;
		} else {
			if (yych <= '`') goto yy751;
			if (yych <= 'z') goto yy760;
			if (yych <= 0x7F) goto yy751;
		}
yy760:
		YYDEBUG(760, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(761, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2255 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 4);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8389 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(762, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych == '"') goto yy766;
		} else {
			if (yych <= '$') goto yy768;
			if (yych == '{') goto yy769;
		}
		YYDEBUG(764, *YYCURSOR);
		++YYCURSOR;
yy765:
		YYDEBUG(765, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2711 "Zend/zend_language_scanner.l"
		{
	if (GET_DOUBLE_QUOTES_SCANNED_LENGTH()) {
		YYCURSOR += GET_DOUBLE_QUOTES_SCANNED_LENGTH() - 1;
		SET_DOUBLE_QUOTES_SCANNED_LENGTH(0);

		goto double_quotes_scan_done;
	}

	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}
	if (yytext[0] == '\\' && YYCURSOR < YYLIMIT) {
		YYCURSOR++;
	}

	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '"':
				break;
			case '$':
				if (IS_LABEL_START(*YYCURSOR) || *YYCURSOR == '{') {
					break;
				}
				continue;
			case '{':
				if (*YYCURSOR == '$') {
					break;
				}
				continue;
			case '\\':
				if (YYCURSOR < YYLIMIT) {
					YYCURSOR++;
				}
				/* fall through */
			default:
				continue;
		}

		YYCURSOR--;
		break;
	}

double_quotes_scan_done:
	yyleng = YYCURSOR - SCNG(yy_text);

	if (EXPECTED(zend_scan_escape_string(zendlval, yytext, yyleng, '"') == SUCCESS)
	 || !PARSER_MODE()) {
		RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
	} else {
		RETURN_TOKEN(T_ERROR);
	}
}
#line 8495 "Zend/zend_language_scanner.c"
yy766:
		YYDEBUG(766, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(767, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2700 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	RETURN_TOKEN('"');
}
#line 8506 "Zend/zend_language_scanner.c"
yy768:
		YYDEBUG(768, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy765;
			if (yych <= 'Z') goto yy770;
			if (yych <= '^') goto yy765;
			goto yy770;
		} else {
			if (yych <= 'z') {
				if (yych <= '`') goto yy765;
				goto yy770;
			} else {
				if (yych <= '{') goto yy773;
				if (yych <= 0x7F) goto yy765;
				goto yy770;
			}
		}
yy769:
		YYDEBUG(769, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '$') goto yy775;
		goto yy765;
yy770:
		YYDEBUG(770, *YYCURSOR);
		YYMARKER = ++YYCURSOR;
		YYFILL(4);
		yych = *YYCURSOR;
		YYDEBUG(771, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy770;
		}
		if (yych <= '>') {
			if (yych == '-') goto yy777;
		} else {
			if (yych <= '?') goto yy779;
			if (yych <= '@') goto yy772;
			if (yych <= '[') goto yy780;
		}
yy772:
		YYDEBUG(772, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2269 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8553 "Zend/zend_language_scanner.c"
yy773:
		YYDEBUG(773, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(774, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1887 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME);
	enter_nesting('{');
	RETURN_TOKEN(T_DOLLAR_OPEN_CURLY_BRACES);
}
#line 8565 "Zend/zend_language_scanner.c"
yy775:
		YYDEBUG(775, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(776, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2692 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING);
	yyless(1);
	enter_nesting('{');
	RETURN_TOKEN(T_CURLY_OPEN);
}
#line 8578 "Zend/zend_language_scanner.c"
yy777:
		YYDEBUG(777, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy782;
yy778:
		YYDEBUG(778, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy772;
yy779:
		YYDEBUG(779, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '-') goto yy783;
		goto yy778;
yy780:
		YYDEBUG(780, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(781, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2263 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8603 "Zend/zend_language_scanner.c"
yy782:
		YYDEBUG(782, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy778;
			if (yych <= 'Z') goto yy784;
			if (yych <= '^') goto yy778;
			goto yy784;
		} else {
			if (yych <= '`') goto yy778;
			if (yych <= 'z') goto yy784;
			if (yych <= 0x7F) goto yy778;
			goto yy784;
		}
yy783:
		YYDEBUG(783, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy786;
		goto yy778;
yy784:
		YYDEBUG(784, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(785, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2249 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8634 "Zend/zend_language_scanner.c"
yy786:
		YYDEBUG(786, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy778;
			if (yych <= 'Z') goto yy787;
			if (yych <= '^') goto yy778;
		} else {
			if (yych <= '`') goto yy778;
			if (yych <= 'z') goto yy787;
			if (yych <= 0x7F) goto yy778;
		}
yy787:
		YYDEBUG(787, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(788, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2255 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 4);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8658 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_HEREDOC:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(789, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych == '$') goto yy793;
		if (yych == '{') goto yy794;
		YYDEBUG(791, *YYCURSOR);
		++YYCURSOR;
yy792:
		YYDEBUG(792, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2811 "Zend/zend_language_scanner.l"
		{
	zend_heredoc_label *heredoc_label = zend_ptr_stack_top(&SCNG(heredoc_label_stack));
	int newline = 0, indentation = 0, spacing = 0;

	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}

	YYCURSOR--;

	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '\r':
				if (*YYCURSOR == '\n') {
					YYCURSOR++;
				}
				/* fall through */
			case '\n':
				indentation = spacing = 0;

				while (YYCURSOR < YYLIMIT && (*YYCURSOR == ' ' || *YYCURSOR == '\t')) {
					if (*YYCURSOR == '\t') {
						spacing |= HEREDOC_USING_TABS;
					} else {
						spacing |= HEREDOC_USING_SPACES;
					}
					++YYCURSOR;
					++indentation;
				}

				if (YYCURSOR == YYLIMIT) {
					yyleng = YYCURSOR - SCNG(yy_text);
					HANDLE_NEWLINES(yytext, yyleng);
					ZVAL_NULL(zendlval);
					RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
				}

				/* Check for ending label on the next line */
				if (IS_LABEL_START(*YYCURSOR) && heredoc_label->length < YYLIMIT - YYCURSOR && !memcmp(YYCURSOR, heredoc_label->label, heredoc_label->length)) {
					if (IS_LABEL_SUCCESSOR(YYCURSOR[heredoc_label->length])) {
						continue;
					}

					if (spacing == (HEREDOC_USING_SPACES | HEREDOC_USING_TABS)) {
						zend_throw_exception(zend_ce_parse_error, "Invalid indentation - tabs and spaces cannot be mixed", 0);
						if (PARSER_MODE()) {
							RETURN_TOKEN(T_ERROR);
						}
					}

					/* newline before label will be subtracted from returned text, but
					 * yyleng/yytext will include it, for zend_highlight/strip, tokenizer, etc. */
					if (YYCURSOR[-indentation - 2] == '\r' && YYCURSOR[-indentation - 1] == '\n') {
						newline = 2; /* Windows newline */
					} else {
						newline = 1;
					}

					CG(increment_lineno) = 1; /* For newline before label */

					if (SCNG(heredoc_scan_ahead)) {
						SCNG(heredoc_indentation) = indentation;
						SCNG(heredoc_indentation_uses_spaces) = (spacing == HEREDOC_USING_SPACES);
					} else {
						YYCURSOR -= indentation;
					}

					BEGIN(ST_END_HEREDOC);

					goto heredoc_scan_done;
				}
				continue;
			case '$':
				if (IS_LABEL_START(*YYCURSOR) || *YYCURSOR == '{') {
					break;
				}
				continue;
			case '{':
				if (*YYCURSOR == '$') {
					break;
				}
				continue;
			case '\\':
				if (YYCURSOR < YYLIMIT && *YYCURSOR != '\n' && *YYCURSOR != '\r') {
					YYCURSOR++;
				}
				/* fall through */
			default:
				continue;
		}

		YYCURSOR--;
		break;
	}

heredoc_scan_done:

	yyleng = YYCURSOR - SCNG(yy_text);
	ZVAL_STRINGL(zendlval, yytext, yyleng - newline);

	if (!SCNG(heredoc_scan_ahead) && !EG(exception) && PARSER_MODE()) {
		zend_bool newline_at_start = *(yytext - 1) == '\n' || *(yytext - 1) == '\r';
		zend_string *copy = Z_STR_P(zendlval);

		if (!strip_multiline_string_indentation(
				zendlval, heredoc_label->indentation, heredoc_label->indentation_uses_spaces,
				newline_at_start, newline != 0)) {
			RETURN_TOKEN(T_ERROR);
		}

		if (UNEXPECTED(zend_scan_escape_string(zendlval, ZSTR_VAL(copy), ZSTR_LEN(copy), 0) != SUCCESS)) {
			zend_string_efree(copy);
			RETURN_TOKEN(T_ERROR);
		}

		zend_string_efree(copy);
	} else {
		HANDLE_NEWLINES(yytext, yyleng - newline);
	}

	RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
}
#line 8830 "Zend/zend_language_scanner.c"
yy793:
		YYDEBUG(793, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy792;
			if (yych <= 'Z') goto yy795;
			if (yych <= '^') goto yy792;
			goto yy795;
		} else {
			if (yych <= 'z') {
				if (yych <= '`') goto yy792;
				goto yy795;
			} else {
				if (yych <= '{') goto yy798;
				if (yych <= 0x7F) goto yy792;
				goto yy795;
			}
		}
yy794:
		YYDEBUG(794, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '$') goto yy800;
		goto yy792;
yy795:
		YYDEBUG(795, *YYCURSOR);
		YYMARKER = ++YYCURSOR;
		YYFILL(4);
		yych = *YYCURSOR;
		YYDEBUG(796, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy795;
		}
		if (yych <= '>') {
			if (yych == '-') goto yy802;
		} else {
			if (yych <= '?') goto yy804;
			if (yych <= '@') goto yy797;
			if (yych <= '[') goto yy805;
		}
yy797:
		YYDEBUG(797, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2269 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8877 "Zend/zend_language_scanner.c"
yy798:
		YYDEBUG(798, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(799, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1887 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME);
	enter_nesting('{');
	RETURN_TOKEN(T_DOLLAR_OPEN_CURLY_BRACES);
}
#line 8889 "Zend/zend_language_scanner.c"
yy800:
		YYDEBUG(800, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(801, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2692 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING);
	yyless(1);
	enter_nesting('{');
	RETURN_TOKEN(T_CURLY_OPEN);
}
#line 8902 "Zend/zend_language_scanner.c"
yy802:
		YYDEBUG(802, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy807;
yy803:
		YYDEBUG(803, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy797;
yy804:
		YYDEBUG(804, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '-') goto yy808;
		goto yy803;
yy805:
		YYDEBUG(805, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(806, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2263 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8927 "Zend/zend_language_scanner.c"
yy807:
		YYDEBUG(807, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy803;
			if (yych <= 'Z') goto yy809;
			if (yych <= '^') goto yy803;
			goto yy809;
		} else {
			if (yych <= '`') goto yy803;
			if (yych <= 'z') goto yy809;
			if (yych <= 0x7F) goto yy803;
			goto yy809;
		}
yy808:
		YYDEBUG(808, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy811;
		goto yy803;
yy809:
		YYDEBUG(809, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(810, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2249 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8958 "Zend/zend_language_scanner.c"
yy811:
		YYDEBUG(811, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy803;
			if (yych <= 'Z') goto yy812;
			if (yych <= '^') goto yy803;
		} else {
			if (yych <= '`') goto yy803;
			if (yych <= 'z') goto yy812;
			if (yych <= 0x7F) goto yy803;
		}
yy812:
		YYDEBUG(812, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(813, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2255 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 4);
	yy_push_state(ST_LOOKING_FOR_PROPERTY);
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 8982 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(814, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy816;
			if (yych <= 'Z') goto yy818;
			if (yych >= '_') goto yy818;
		} else {
			if (yych <= '`') goto yy816;
			if (yych <= 'z') goto yy818;
			if (yych >= 0x80) goto yy818;
		}
yy816:
		YYDEBUG(816, *YYCURSOR);
		++YYCURSOR;
yy817:
		YYDEBUG(817, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1910 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state();
	yy_push_state(ST_IN_SCRIPTING);
	goto restart;
}
#line 9046 "Zend/zend_language_scanner.c"
yy818:
		YYDEBUG(818, *YYCURSOR);
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '_') {
			if (yych <= '@') {
				if (yych <= '/') goto yy817;
				if (yych <= '9') goto yy820;
				goto yy817;
			} else {
				if (yych <= '[') goto yy820;
				if (yych <= '^') goto yy817;
				goto yy820;
			}
		} else {
			if (yych <= '|') {
				if (yych <= '`') goto yy817;
				if (yych <= 'z') goto yy820;
				goto yy817;
			} else {
				if (yych <= '}') goto yy820;
				if (yych <= 0x7F) goto yy817;
				goto yy820;
			}
		}
yy819:
		YYDEBUG(819, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy820:
		YYDEBUG(820, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy819;
		}
		if (yych <= '@') goto yy821;
		if (yych <= '[') goto yy822;
		if (yych == '}') goto yy822;
yy821:
		YYDEBUG(821, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy817;
yy822:
		YYDEBUG(822, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(823, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1902 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_pop_state();
	yy_push_state(ST_IN_SCRIPTING);
	RETURN_TOKEN_WITH_STR(T_STRING_VARNAME, 0);
}
#line 9100 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_VAR_OFFSET:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			240, 240, 176, 176, 176, 176, 176, 176, 
			176, 176,   0,   0,   0,   0,   0,   0, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,   0, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
		};
		YYDEBUG(824, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '0') {
			if (yych <= ' ') {
				if (yych <= '\f') {
					if (yych <= 0x08) goto yy826;
					if (yych <= '\n') goto yy828;
				} else {
					if (yych <= '\r') goto yy828;
					if (yych >= ' ') goto yy828;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy830;
					if (yych <= '#') goto yy828;
					goto yy832;
				} else {
					if (yych == '\'') goto yy828;
					if (yych <= '/') goto yy830;
					goto yy833;
				}
			}
		} else {
			if (yych <= ']') {
				if (yych <= 'Z') {
					if (yych <= '9') goto yy835;
					if (yych <= '@') goto yy830;
					goto yy837;
				} else {
					if (yych <= '[') goto yy830;
					if (yych <= '\\') goto yy828;
					goto yy840;
				}
			} else {
				if (yych <= '`') {
					if (yych == '_') goto yy837;
					goto yy830;
				} else {
					if (yych <= 'z') goto yy837;
					if (yych <= '~') goto yy830;
					if (yych >= 0x80) goto yy837;
				}
			}
		}
yy826:
		YYDEBUG(826, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(827, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 3026 "Zend/zend_language_scanner.l"
		{
	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}

	RETURN_TOKEN(T_BAD_CHARACTER);
}
#line 9197 "Zend/zend_language_scanner.c"
yy828:
		YYDEBUG(828, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(829, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2283 "Zend/zend_language_scanner.l"
		{
	/* Invalid rule to return a more explicit parse error with proper line number */
	yyless(0);
	yy_pop_state();
	ZVAL_NULL(zendlval);
	RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
}
#line 9211 "Zend/zend_language_scanner.c"
yy830:
		YYDEBUG(830, *YYCURSOR);
		++YYCURSOR;
yy831:
		YYDEBUG(831, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2278 "Zend/zend_language_scanner.l"
		{
	/* Only '[' or '-' can be valid, but returning other tokens will allow a more explicit parse error */
	RETURN_TOKEN(yytext[0]);
}
#line 9223 "Zend/zend_language_scanner.c"
yy832:
		YYDEBUG(832, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy831;
			if (yych <= 'Z') goto yy842;
			if (yych <= '^') goto yy831;
			goto yy842;
		} else {
			if (yych <= '`') goto yy831;
			if (yych <= 'z') goto yy842;
			if (yych <= 0x7F) goto yy831;
			goto yy842;
		}
yy833:
		YYDEBUG(833, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'X') {
			if (yych <= 'A') {
				if (yych <= '/') goto yy834;
				if (yych <= '9') goto yy845;
			} else {
				if (yych <= 'B') goto yy848;
				if (yych >= 'X') goto yy850;
			}
		} else {
			if (yych <= 'a') {
				if (yych == '_') goto yy851;
			} else {
				if (yych <= 'b') goto yy848;
				if (yych == 'x') goto yy850;
			}
		}
yy834:
		YYDEBUG(834, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2064 "Zend/zend_language_scanner.l"
		{ /* Offset could be treated as a long */
	if (yyleng < MAX_LENGTH_OF_LONG - 1 || (yyleng == MAX_LENGTH_OF_LONG - 1 && strcmp(yytext, long_min_digits) < 0)) {
		char *end;
		errno = 0;
		ZVAL_LONG(zendlval, ZEND_STRTOL(yytext, &end, 10));
		if (errno == ERANGE) {
			goto string;
		}
		ZEND_ASSERT(end == yytext + yyleng);
	} else {
string:
		ZVAL_STRINGL(zendlval, yytext, yyleng);
	}
	RETURN_TOKEN_WITH_VAL(T_NUM_STRING);
}
#line 9277 "Zend/zend_language_scanner.c"
yy835:
		YYDEBUG(835, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(836, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy835;
		}
		if (yych == '_') goto yy851;
		goto yy834;
yy837:
		YYDEBUG(837, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(838, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy837;
		}
		YYDEBUG(839, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2307 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_STRING, 0);
}
#line 9305 "Zend/zend_language_scanner.c"
yy840:
		YYDEBUG(840, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(841, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2273 "Zend/zend_language_scanner.l"
		{
	yy_pop_state();
	RETURN_TOKEN(']');
}
#line 9316 "Zend/zend_language_scanner.c"
yy842:
		YYDEBUG(842, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(843, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy842;
			} else {
				if (yych <= '@') goto yy844;
				if (yych <= 'Z') goto yy842;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy842;
			} else {
				if (yych <= 'z') goto yy842;
				if (yych >= 0x80) goto yy842;
			}
		}
yy844:
		YYDEBUG(844, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2269 "Zend/zend_language_scanner.l"
		{
	RETURN_TOKEN_WITH_STR(T_VARIABLE, 1);
}
#line 9345 "Zend/zend_language_scanner.c"
yy845:
		YYDEBUG(845, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(846, *YYCURSOR);
		if (yych <= '/') goto yy847;
		if (yych <= '9') goto yy845;
		if (yych == '_') goto yy851;
yy847:
		YYDEBUG(847, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2080 "Zend/zend_language_scanner.l"
		{ /* Offset must be treated as a string */
	if (yyleng == 1) {
		ZVAL_INTERNED_STR(zendlval, ZSTR_CHAR((zend_uchar)*(yytext)));
	} else {
		ZVAL_STRINGL(zendlval, yytext, yyleng);
	}
	RETURN_TOKEN_WITH_VAL(T_NUM_STRING);
}
#line 9368 "Zend/zend_language_scanner.c"
yy848:
		YYDEBUG(848, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy852;
		}
yy849:
		YYDEBUG(849, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept == 0) {
			goto yy834;
		} else {
			goto yy847;
		}
yy850:
		YYDEBUG(850, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy854;
		}
		goto yy849;
yy851:
		YYDEBUG(851, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '/') goto yy849;
		if (yych <= '9') goto yy845;
		goto yy849;
yy852:
		YYDEBUG(852, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(853, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy852;
		}
		if (yych == '_') goto yy848;
		goto yy847;
yy854:
		YYDEBUG(854, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(855, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy854;
		}
		if (yych == '_') goto yy850;
		goto yy847;
	}
/* *********************************** */
yyc_SHEBANG:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(856, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych == '#') goto yy860;
		YYDEBUG(858, *YYCURSOR);
		++YYCURSOR;
yy859:
		YYDEBUG(859, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2147 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	BEGIN(INITIAL);
	goto restart;
}
#line 9479 "Zend/zend_language_scanner.c"
yy860:
		YYDEBUG(860, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '!') goto yy859;
yy861:
		YYDEBUG(861, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(862, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy861;
		}
		YYDEBUG(863, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(864, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2141 "Zend/zend_language_scanner.l"
		{
	CG(zend_lineno)++;
	BEGIN(INITIAL);
	goto restart;
}
#line 9503 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_INITIAL:
	YYDEBUG(865, *YYCURSOR);
	YYFILL(7);
	yych = *YYCURSOR;
	if (yych == '<') goto yy869;
	YYDEBUG(867, *YYCURSOR);
	++YYCURSOR;
yy868:
	YYDEBUG(868, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2193 "Zend/zend_language_scanner.l"
	{
	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}

inline_char_handler:

	while (1) {
		YYCTYPE *ptr = memchr(YYCURSOR, '<', YYLIMIT - YYCURSOR);

		YYCURSOR = ptr ? ptr + 1 : YYLIMIT;

		if (YYCURSOR >= YYLIMIT) {
			break;
		}

		if (*YYCURSOR == '?') {
			if (CG(short_tags) /* <? */
				|| (*(YYCURSOR + 1) == '=') /* <?= */
				|| (!strncasecmp((char*)YYCURSOR + 1, "php", 3) && /* <?php[ \t\r\n] */
					(YYCURSOR + 4 == YYLIMIT ||
					YYCURSOR[4] == ' ' || YYCURSOR[4] == '\t' ||
					YYCURSOR[4] == '\n' || YYCURSOR[4] == '\r'))
			) {
				YYCURSOR--;
				break;
			}
		}
	}

	yyleng = YYCURSOR - SCNG(yy_text);

	if (SCNG(output_filter)) {
		size_t readsize;
		char *s = NULL;
		size_t sz = 0;
		// TODO: avoid reallocation ???
		readsize = SCNG(output_filter)((unsigned char **)&s, &sz, (unsigned char *)yytext, (size_t)yyleng);
		ZVAL_STRINGL(zendlval, s, sz);
		efree(s);
		if (readsize < yyleng) {
			yyless(readsize);
		}
	} else if (yyleng == 1) {
		ZVAL_INTERNED_STR(zendlval, ZSTR_CHAR((zend_uchar)*yytext));
	} else {
		ZVAL_STRINGL(zendlval, yytext, yyleng);
	}
	HANDLE_NEWLINES(yytext, yyleng);
	RETURN_TOKEN_WITH_VAL(T_INLINE_HTML);
}
#line 9568 "Zend/zend_language_scanner.c"
yy869:
	YYDEBUG(869, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych != '?') goto yy868;
	YYDEBUG(870, *YYCURSOR);
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'O') {
		if (yych == '=') goto yy872;
	} else {
		if (yych <= 'P') goto yy874;
		if (yych == 'p') goto yy874;
	}
yy871:
	YYDEBUG(871, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2184 "Zend/zend_language_scanner.l"
	{
	if (CG(short_tags)) {
		BEGIN(ST_IN_SCRIPTING);
		RETURN_OR_SKIP_TOKEN(T_OPEN_TAG);
	} else {
		goto inline_char_handler;
	}
}
#line 9593 "Zend/zend_language_scanner.c"
yy872:
	YYDEBUG(872, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(873, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2153 "Zend/zend_language_scanner.l"
	{
	BEGIN(ST_IN_SCRIPTING);
	if (PARSER_MODE()) {
		/* We'll reject this as an identifier in zend_lex_tstring. */
		RETURN_TOKEN_WITH_IDENT(T_ECHO);
	}
	RETURN_TOKEN(T_OPEN_TAG_WITH_ECHO);
}
#line 9608 "Zend/zend_language_scanner.c"
yy874:
	YYDEBUG(874, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy876;
	if (yych == 'h') goto yy876;
yy875:
	YYDEBUG(875, *YYCURSOR);
	YYCURSOR = YYMARKER;
	goto yy871;
yy876:
	YYDEBUG(876, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy877;
	if (yych != 'p') goto yy875;
yy877:
	YYDEBUG(877, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '\f') {
		if (yych <= 0x08) goto yy878;
		if (yych <= '\n') goto yy879;
	} else {
		if (yych <= '\r') goto yy881;
		if (yych == ' ') goto yy879;
	}
yy878:
	YYDEBUG(878, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2169 "Zend/zend_language_scanner.l"
	{
	/* Allow <?php followed by end of file. */
	if (YYCURSOR == YYLIMIT) {
		BEGIN(ST_IN_SCRIPTING);
		RETURN_OR_SKIP_TOKEN(T_OPEN_TAG);
	}
	/* Degenerate case: <?phpX is interpreted as <? phpX with short tags. */
	if (CG(short_tags)) {
		yyless(2);
		BEGIN(ST_IN_SCRIPTING);
		RETURN_OR_SKIP_TOKEN(T_OPEN_TAG);
	}
	goto inline_char_handler;
}
#line 9651 "Zend/zend_language_scanner.c"
yy879:
	YYDEBUG(879, *YYCURSOR);
	++YYCURSOR;
yy880:
	YYDEBUG(880, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2163 "Zend/zend_language_scanner.l"
	{
	HANDLE_NEWLINE(yytext[yyleng-1]);
	BEGIN(ST_IN_SCRIPTING);
	RETURN_OR_SKIP_TOKEN(T_OPEN_TAG);
}
#line 9664 "Zend/zend_language_scanner.c"
yy881:
	YYDEBUG(881, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\n') goto yy879;
	goto yy880;
/* *********************************** */
yyc_ST_END_HEREDOC:
	YYDEBUG(882, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(884, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(885, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2678 "Zend/zend_language_scanner.l"
	{
	zend_heredoc_label *heredoc_label = zend_ptr_stack_pop(&SCNG(heredoc_label_stack));

	yyleng = heredoc_label->indentation + heredoc_label->length;
	YYCURSOR += yyleng - 1;

	heredoc_label_dtor(heredoc_label);
	efree(heredoc_label);

	BEGIN(ST_IN_SCRIPTING);
	RETURN_TOKEN(T_END_HEREDOC);
}
#line 9692 "Zend/zend_language_scanner.c"
/* *********************************** */
yyc_ST_NOWDOC:
	YYDEBUG(886, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(888, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(889, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 2935 "Zend/zend_language_scanner.l"
	{
	zend_heredoc_label *heredoc_label = zend_ptr_stack_top(&SCNG(heredoc_label_stack));
	int newline = 0, indentation = 0, spacing = -1;

	if (YYCURSOR > YYLIMIT) {
		RETURN_END_TOKEN;
	}

	YYCURSOR--;

	while (YYCURSOR < YYLIMIT) {
		switch (*YYCURSOR++) {
			case '\r':
				if (*YYCURSOR == '\n') {
					YYCURSOR++;
				}
				/* fall through */
			case '\n':
				indentation = spacing = 0;

				while (YYCURSOR < YYLIMIT && (*YYCURSOR == ' ' || *YYCURSOR == '\t')) {
					if (*YYCURSOR == '\t') {
						spacing |= HEREDOC_USING_TABS;
					} else {
						spacing |= HEREDOC_USING_SPACES;
					}
					++YYCURSOR;
					++indentation;
				}

				if (YYCURSOR == YYLIMIT) {
					yyleng = YYCURSOR - SCNG(yy_text);
					HANDLE_NEWLINES(yytext, yyleng);
					ZVAL_NULL(zendlval);
					RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
				}

				/* Check for ending label on the next line */
				if (IS_LABEL_START(*YYCURSOR) && heredoc_label->length < YYLIMIT - YYCURSOR && !memcmp(YYCURSOR, heredoc_label->label, heredoc_label->length)) {
					if (IS_LABEL_SUCCESSOR(YYCURSOR[heredoc_label->length])) {
						continue;
					}

					if (spacing == (HEREDOC_USING_SPACES | HEREDOC_USING_TABS)) {
						zend_throw_exception(zend_ce_parse_error, "Invalid indentation - tabs and spaces cannot be mixed", 0);
						if (PARSER_MODE()) {
							RETURN_TOKEN(T_ERROR);
						}
					}

					/* newline before label will be subtracted from returned text, but
					 * yyleng/yytext will include it, for zend_highlight/strip, tokenizer, etc. */
					if (YYCURSOR[-indentation - 2] == '\r' && YYCURSOR[-indentation - 1] == '\n') {
						newline = 2; /* Windows newline */
					} else {
						newline = 1;
					}

					CG(increment_lineno) = 1; /* For newline before label */

					YYCURSOR -= indentation;
					heredoc_label->indentation = indentation;

					BEGIN(ST_END_HEREDOC);

					goto nowdoc_scan_done;
				}
				/* fall through */
			default:
				continue;
		}
	}

nowdoc_scan_done:
	yyleng = YYCURSOR - SCNG(yy_text);
	ZVAL_STRINGL(zendlval, yytext, yyleng - newline);

	if (!EG(exception) && spacing != -1 && PARSER_MODE()) {
		zend_bool newline_at_start = *(yytext - 1) == '\n' || *(yytext - 1) == '\r';
		if (!strip_multiline_string_indentation(
				zendlval, indentation, spacing == HEREDOC_USING_SPACES,
				newline_at_start, newline != 0)) {
			RETURN_TOKEN(T_ERROR);
		}
	}

	HANDLE_NEWLINES(yytext, yyleng - newline);
	RETURN_TOKEN_WITH_VAL(T_ENCAPSED_AND_WHITESPACE);
}
#line 9792 "Zend/zend_language_scanner.c"
}
#line 3034 "Zend/zend_language_scanner.l"


emit_token_with_str:
	zend_copy_value(zendlval, (yytext + offset), (yyleng - offset));

emit_token_with_val:
	if (PARSER_MODE()) {
		ZEND_ASSERT(Z_TYPE_P(zendlval) != IS_UNDEF);
		elem->ast = zend_ast_create_zval_with_lineno(zendlval, start_line);
	}

emit_token:
	if (SCNG(on_event)) {
		SCNG(on_event)(ON_TOKEN, token, start_line, yytext, yyleng, SCNG(on_event_context));
	}
	return token;

emit_token_with_ident:
	if (PARSER_MODE()) {
		elem->ident.offset = SCNG(yy_text) - SCNG(yy_start);
		elem->ident.len = SCNG(yy_leng);
	}
	if (SCNG(on_event)) {
		SCNG(on_event)(ON_TOKEN, token, start_line, yytext, yyleng, SCNG(on_event_context));
	}
	return token;

return_whitespace:
	HANDLE_NEWLINES(yytext, yyleng);
	if (SCNG(on_event)) {
		SCNG(on_event)(ON_TOKEN, T_WHITESPACE, start_line, yytext, yyleng, SCNG(on_event_context));
	}
	if (PARSER_MODE()) {
		start_line = CG(zend_lineno);
		goto restart;
	} else {
		return T_WHITESPACE;
	}

skip_token:
	if (SCNG(on_event)) {
		SCNG(on_event)(ON_TOKEN, token, start_line, yytext, yyleng, SCNG(on_event_context));
	}
	start_line = CG(zend_lineno);
	goto restart;
}
